Welcome

Start Page

Next Topic >>
Important information for Windows CE 4.1 and Windows CE 4.2 users


Important information for Windows CE 4.1 and Windows CE 4.2 users

General

Beginning with 3.00, the B&R Windows CE online help will only document B&R Windows CE images that are based on Microsoft Windows CE 5.0. If you are using a B&R Windows CE image that is based on Microsoft Windows CE 4.1 or 4.2, refer to the B&R Windows CE online help 2.11. It can be downloaded from the B&R homepage (http://www.br-automation.com).

<< Previous Topic
Welcome

Start Page

Next Topic >>
Model numbers


Model numbers

General

The following table contains the currently available model numbers for B&R Windows CE 5.0:

Model number | Short text | Platform | Description
9S0001.33-020 | WinCE5.0 Pro PP100/200,MP100/200 | Power Panel 100/200 BIOS, Mobile Panel 100/200 BIOS | Microsoft Windows CE 5.0 Professional, preinstalled on a 128 MB CompactFlash card for PP100/200 and MP100/200.
9S0001.35-020 | WinCE5.0 ProPlus PP100/200,MP100/200 | Power Panel 100/200 BIOS, Mobile Panel 100/200 BIOS | Microsoft Windows CE 5.0 Professional Plus, preinstalled on a 128 MB CompactFlash card for PP100/200 and MP100/200.
9S0001.32-020 | WinCE5.0 Pro APC620,PPC700 | APC620, PPC700 | Microsoft Windows CE 5.0 Professional, preinstalled on a 128 MB CompactFlash card for APC620 and PPC700.
9S0001.34-020 | WinCE5.0 ProPlus APC620,PPC700 | APC620, PPC700 | Microsoft Windows CE 5.0 Professional Plus, preinstalled on a 128 MB CompactFlash card for APC620 and PPC700.

The following table lists model numbers that can be used with a set order.

Model number | Short text | Platform | Description
9S0001.29-020 | WinCE5.0 Pro | Power Panel 100/200 BIOS, Mobile Panel 100/200 BIOS, APC620, PPC700 | Set orders: License sticker and software for Microsoft Windows CE 5.0 Professional.
9S0001.36-020 | WinCE5.0 ProPlus | Power Panel 100/200 BIOS, Mobile Panel 100/200 BIOS, APC620, PPC700 | Set orders: License sticker and software for Microsoft Windows CE 5.0 Professional Plus for set orders.

Note: Note that a CompactFlash card is not delivered with model numbers 9S0001.29-020 and 9S0001.36-020.They have to be ordered separately.

See also:

Specifications, Range of functions, What is the difference between the Professional and Professional Plus images?

<< Previous Topic
Important information for Windows CE 4.1 and Windows CE 4.2 users

Start Page

Next Topic >>
Specifications


Specifications

In this section the following topics are discussed:

Specifications

APC620, PPC700

PP100/200, MP100/200

<< Previous Topic
Model numbers

Start Page

Next Topic >>
APC620, PPC700


APC620, PPC700

Operating system | Microsoft Windows CE 5.0
Model numbers | 9S0001.32-020, 9S0001.34-020
Screen resolution | VGA, SVGA, XGA
Color depth | 16-bit / 65,536 colors
Graphics card driver | Intel(R) embedded graphics driver
RAM | Automatic detection and use of up to 512 MB RAM
Boot time | Approx. 39 seconds
Screen rotation | Not supported
Web browser | Internet Explorer 6.0 for Windows CE
.NET | Compact Framework 2.0 + SP1
Image size | Approx 30 MB uncompressed
Custom keys | Supported
PVI | Supported
Automation Device Interface | Supported
Viewers | Supported
Serial ports | 3

See also:

Range of functions, Model numbers

<< Previous Topic
Specifications

Start Page

Next Topic >>
PP100/200, MP100/200

Start of Chapter


PP100/200 BIOS, MP100/200 BIOS

PP100/200, MP100/200

Operating system | Microsoft Windows CE 5.0
Model numbers | 9S0001.33-02, 9S0001.35-020
Screen resolution | QVGA (LCD), QVGA (TFT), VGA (TFT), SVGA (TFT), XGA (TFT)
Color depth | 16-bit / 65536 colors*
Graphics card driver | AMD Geode graphics card driver with screen rotation without DirectX
RAM | Automatic detection and use of up to 512 MB RAM
Boot time | Approx. 20 seconds
Screen rotation | The desktop can be turned in 90° intervals
Web browser | Internet Explorer 6.0 for Windows CE
.NET | Compact Framework 1.0 mit SP3
Image size | Approx 26 MB uncompressed
Custom keys | Supported
PVI | Supported
Automation Device Interface | Supported
Viewers | Supported
*The color depth also depends on the display being used.

See also:

Range of functions, How do I install Compact Framework 2.0?

<< Previous Topic
APC620, PPC700

Start Page

Next Topic >>
Range of functions


Range of functions

General

This section contains information about the components and drivers which are integrated into the various B&R Windows CE images. Detailed descriptions of these components can be found in the Microsoft Platform Builder help or in the Microsoft Authoring Kit.

In this section the following topics are discussed:

Range of functions

APC620, PPC700

PP 100/200, MP 100/200

<< Previous Topic
PP100/200, MP100/200

Start Page

Next Topic >>
APC620, PPC700


APC620, PPC700

In this section the following topics are discussed:

APC620, PPC700

V1.0

V1.1

<< Previous Topic
Range of functions

Start Page

Next Topic >>
V1.0


V1.0

Base operating system

  • Microsoft Windows CE 5.0

Device drivers

  • Audio

    • APC620/PPC700 (B&R-specific audio driver)

  • Display

    • APC620/PPC700 Graphic Card Driver (Intel® Embedded Graphics driver package for Microsoft Windows CE 5.0 Version 4.0)

  • Input devices
    • 8042 keyboard/mouse - English

  • Networking
    • Local Area Networking (LAN) devices

      • APC620/PPC700 8255ER Ethernet

    • Wide Area Networking (WAN) devices

      • Asyncmac NDIS driver

  • Parallel

    • Parallel

  • PCI bus

  • Printer devices
    • PCL printer devices
  • Serial
    • Com16550
    • Com16550 (second instance)
    • Com16550 (third instance)
    • APC620/PPC700 4 serial ports

  • Smart card
    • Smart card

  • Storage devices
    • Storage devices

      • APC620/PPC700 ATAPI (B&R-specific ATAPI driver without DMA support)
  • USB host
    • UHCI (Intel® USB 2.0 Driver for Windows* CE 5.0 V5.0.1.4)
    • EHCI (Intel® USB 2.0 Driver for Windows* CE 5.0 V5.0.1.4)

  • Touch

    • APC620/PPC700 (Elo® Serial Windows CE Embedded Driver V1.11)

Application - End user

  • ActiveSync
    • File sync

  • CAB file installer/uninstaller
  • Help
  • Remote Desktop Connection
    • Remote Desktop Protocol

      • Audio playback redirection
      • Cut / copy / paste clipboard redirection
      • File storage redirection
      • Printer redirection
      • Serial and parallel port redirection
      • Smart card redirection
      • User interface dialog boxes

  • Wordpad

Application and services development

  • .NET Compact Framework 2.0

    • .NET Compact Framework 2.0
    • OS dependencies for .NET Compact Framework 2.0

  • Active Template Library (ATL)
  • C libraries and runtimes
    • C++ runtime support for exception handling and runtime type information
    • Full C runtime
    • Standard I/O (STDIO)
    • Standard I/O ASCII (STDIOA)
    • Standard string functions - ASCII (corestra)
    • String safe utility functions

  • Component services (COM and DCOM)

    • Component object model

      • DCOM

        • COM storage
        • DCOM remote access

  • Microsoft Foundation Classes (MFC)
  • XML
    • MSXML 3.0
    • XML Core Services and Document Object Model (DOM)

      • XML error strings
      • XML HTTP
      • XML Query Languages (XQL)

        • XML Stylesheet Language Transformations (XSLT)

      • XML SAX

    • XML minimal parser

Communication services and networking

  • Networking - Local Area Network (LAN)

    • Wired Local Area Network (802.3, 802.5)

  • Networking - Wide Area Network (WAN)
    • Dial-up networking (RAS/PPP)

      • AutoDial
      • Standard modem support for dial-up networking

    • Point-to-Point Protocol over Ethernet (PPPoE)
    • Telephony API (TAPI2.0)

      • Unimodem support

    • Virtual Private Networking

      • PPTP

  • Networking - Features
    • NDIS user-mode I/O driver
    • Network driver architecture (NDIS)
    • Network utilities (IpConfig, Ping, Route)
    • TCP/IP

      • IP Helper API

    • Universal Plug and Play (UPnP)

      • Control Point API
      • Device Host API

    • Windows Networking API/Redirector (SMB/CIFS)
    • Winsock support

  • Servers
    • Core server support
    • File server
    • FTP server
    • RAS server/PPTP server (incoming)
    • Simple Network Time Protocol (SNTP)

      • SNTP client with DST

    • Telnet server
    • Web Server *HTTPD

      • Active Server Pages (ASP) support

        • JScript 5.6
        • VBScript 5.6

      • Device Management ISAPI Extension
      • Web Server Administration ISAPI

Core OS services

  • Debugging tools
    • LMemDebug memory debugging hooks
    • Toolelp API
    • Remote display application

  • Device manager
  • Display support
  • Kernel features

    • Fiber API
    • FormatMessage API
    • Memory mapped files
    • Message queue - point-to-point

  • Parallel port support
  • PNP notification
  • Power management (full)
  • Serial port support
  • UI-based notification
  • USB host support
    • USB human input device (HID) class driver
    • USB printer class driver
    • USB remote NDIS class driver
    • USB storage class driver

File systems and data storage

  • Bit-based
  • Compression
  • Database support
  • Hive-based registry
  • ROM-only file system
  • Storage manager

    • CD/UDFS file system
    • FAT file system
    • Partition driver
    • Storage Manager Control Panel applet

  • System password

Fonts

  • Arial

    • Arial (Subset 1_30)
    • Arial Black
    • Arial Italic

  • Comic Sans MS
    • Comic Sans MS

  • Courier New
    • Courier New (Subset 1_30)

  • Georgia
    • Georgia

  • Symbol
  • Tahoma

    • Tahoma (Subset 1_07)

  • Times New Roman

    • Times New Roman (Subset 1_30)
    • Times New Roman Italic

  • Verdana

    • Verdana

  • Wingding

Graphics and multimedia technologies

  • Audio

    • Waveform audio

  • Graphics
    • DirectDraw
    • Gradient fill support
    • Imaging

      • Still image codec support (encode and decode)

      • Sill image decoders

        • BMP decoder
        • GIF decoder
        • JPG decoder
        • PNG decoder

      • Still image encoders

        • BMP decoder
        • GIF decoder
        • JPG decoder
        • PNG decoder

  • Media
    • Audio codecs and renderers

      • MP3 codec
      • Wave/AIFF/au/snd file parser
      • WMA codec
      • WMA voice codec

    • DirectShow

      • ACM wrapper filter
      • DirectShow core
      • DirectShow display
      • DMP wrapper filter

    • Media formats

      • AVI filter
      • MPEG-1 parser/splitter

    • Video codecs and renderers

      • DirectShow Video Renderer
      • MPEG-1 video codec
      • MS RLE video codec
      • Video/Image compression manager
      • WMV / MPEG-4 video codec

    • Windows Media Player

      • Windows Media Player
      • Windows Media Player OCX
      • Windows Media technologies

        • ASX v1 and M3U file support
        • ASX v2 file support
        • ASX v3 file support
        • NSC file support
        • Windows media multicast and multi-bit rate
        • Windows media streaming from local storage
        • Windows media streaming over HTTP
        • Windows media streaming over MMS

    • WMA and MP3 local playback
    • WMA and MP3 streaming

International

  • Input Method Manager (IMM)
  • Multilingual User Interface (MUI)
  • National Language Support (NLS)

Internet client services

  • Browser application
    • Internet Explorer 6.0 for Windows CE - Standard components

  • Internet Explorer 6.0 for Windows CE Components

    • Internet Explorer browser control host
    • Internet Explorer HTML/DTHML API
    • Internet Explorer multiple-language base API
    • URL moniker services
    • Windows Internet services

      • Passport SSI 1.4 authentication
      • Platform for Privacy Preferences (P3P)

  • Internet Options Control Panel
  • Scripting

    • JScript 5.6

      • Script authoring (Jscript)
      • Script encode (Jscript)

    • VBScript 5.6

      • MsgBox and InputBox support
      • Script authoring (VBScript)
      • Script encode (VBScript)

Security

  • Authentication Services (SSPI)

    • Kerberos
    • NTLM
    • Schannel (SSL/TLS)

  • Credential Manager

  • Cryptography services (CryptoAPI 1.0) with high encryption provider

    • Certificates (CryptoAPI 2.0)

      • Cryptographic messaging (PKCS#7)

    • Diffie-Hellman/DSS provider

Shell and user interface

  • Graphics, windowing, and events
    • Minimal GDI configuration
    • Minimal GWES configuration
    • Minimal input configuration
    • Minimal window manager configuration

  • Shell

    • Command shell

      • Command processor
      • Console window

    • Standard shell

  • User interface

    • Common controls

      • Common control

    • Common dialog support
    • Control Panel applets
    • Customizable UI

      • Windows XP-like sample skin

    • Mouse
    • Network user interface
    • Software input panel

      • SIP for large screens
      • SIP for small screens
      • Software-based input panel driver

Platform manager

  • Platform manager

Bernecker + Rainer-specific tools

  • APIs
    • Automation Device Interface V1.42
    • Screensaver

  • Control Panel applets
    • Configuration Manager
    • Control Center
    • Screensaver
    • Server applet
    • Touch applet

  • Programs
    • DCOMCnfg
    • Full-screen Web browser
    • PVI
    • RamDisk
    • Registry Editor
    • RegSave
    • RegSvrCE

<< Previous Topic
APC620, PPC700

Start Page

Next Topic >>
V1.1


V1.1

9S0001.32-020 WinCE5.0 Pro APC620/PPC700

The following components are included in the product 9S0001.32-020 WinCE5.0 Pro APC620/PPC700:

Base operating system

  • Microsoft Windows CE 5.0

Device drivers

  • Audio

    • APC620/PPC700 Audio (Intel® - Unified Audio Driver Model - Monolithic Wavedev/MixerAPI driver 5.0.1.20)

  • Display

    • APC620/PPC700 Graphic Card Driver (Intel® Embedded Graphics driver package for Microsoft Windows CE 5.0 Version 5.1)

  • Input devices
    • 8042 keyboard/mouse - English

  • Networking
    • Local Area Networking (LAN) devices

      • APC620/PPC700 Ethernet

    • Wide Area Networking (WAN) devices

      • Asyncmac NDIS driver

  • Parallel

    • Parallel

  • PCI bus

  • Printer devices
    • PCL printer devices

  • Serial
    • Com16550
    • Com16550 (second instance)
    • Com16550 (third instance)
    • APC620/PPC700 4 serial ports

  • Smart card
    • Smart card

  • Storage devices
    • Storage devices

      • APC620/PPC700 ATAPI (Microsoft ATAPI driver with DMA support)
  • USB host
    • UHCI (Intel® 854 Development Platform USB 2.0 Driver for Windows CE 5.0 V5.0.1.5)
    • EHCI (Intel® 854 Development Platform USB 2.0 Driver for Windows CE 5.0 V5.0.1.5)

  • Touch

    • APC620/PPC700 (Elo® Serial Windows CE Embedded Driver V1.13)

Application - End user

  • ActiveSync
    • File sync

  • CAB file installer/uninstaller
  • Help
  • Remote Desktop Connection
    • Remote Desktop Protocol

      • Audio playback redirection
      • Cut / copy / paste clipboard redirection
      • File storage redirection
      • Printer redirection
      • Serial and parallel port redirection
      • Smart card redirection
      • User interface dialog boxes

  • Wordpad

Application and services development

  • .NET Compact Framework 2.0 + SP1

    • .NET Compact Framework 2.0 + SP1
    • OS dependencies for .NET Compact Framework 2.0

  • Active Template Library (ATL)
  • C libraries and runtimes
    • C++ runtime support for exception handling and runtime type information
    • Full C runtime
    • Standard I/O (STDIO)
    • Standard I/O ASCII (STDIOA)
    • Standard string functions - ASCII (corestra)
    • String safe utility functions

  • Component services (COM and DCOM)

    • Component object model

      • DCOM

        • COM storage
        • DCOM remote access

  • Microsoft Foundation Classes (MFC)

  • SQL Mobile

    • SQL Mobile
    • SQL Mobile .Net 2.0 Data Provider

  • XML
    • MSXML 3.0
    • XML Core Services and Document Object Model (DOM)

      • XML error strings
      • XML HTTP
      • XML Query Languages (XQL)

        • XML Stylesheet Language Transformations (XSLT)

      • XML SAX

    • XML minimal parser

Communication services and networking

  • Networking - Local Area Network (LAN)

    • Wired Local Area Network (802.3, 802.5)

  • Networking - Wide Area Network (WAN)
    • Dial-up networking (RAS/PPP)

      • AutoDial
      • Standard modem support for dial-up networking

    • Point-to-Point Protocol over Ethernet (PPPoE)
    • Telephony API (TAPI2.0)

      • Unimodem support

    • Virtual Private Networking

      • PPTP

  • Networking - Features
    • NDIS user-mode I/O driver
    • Network driver architecture (NDIS)
    • Network utilities (IpConfig, Ping, Route)
    • TCP/IP

      • IP Helper API

    • Universal Plug and Play (UPnP)

      • Control Point API
      • Device Host API

    • Windows Networking API/Redirector (SMB/CIFS)
    • Winsock support

  • Servers
    • Core server support
    • File server
    • FTP server
    • RAS server/PPTP server (incoming)
    • Simple Network Time Protocol (SNTP)

      • SNTP client with DST

    • Telnet server
    • Web Server *HTTPD

      • Active Server Pages (ASP) support

        • JScript 5.6
        • VBScript 5.6

      • Device Management ISAPI Extension
      • Web Server Administration ISAPI

Core OS services

  • Debugging tools
    • Toolhelp API
    • Remote display application

  • Device manager
  • Display support
  • Kernel features

    • Fiber API

    • FormatMessage API
      • FormatMessage API - System Error Messages

    • Memory mapped files
    • Message queue - point-to-point

  • Parallel port support
  • PNP notification
  • Power management (full)
  • Serial port support
  • UI-based notification
  • USB host support
    • USB human input device (HID) class driver
    • USB printer class driver
    • USB remote NDIS class driver
    • USB storage class driver

File systems and data storage

  • Bit-based
  • Compression
  • Database support
  • Hive-based registry
  • ROM-only file system
  • Storage manager

    • CD/UDFS file system
    • FAT file system
    • Partition driver
    • Storage Manager Control Panel applet

  • System password

Fonts

  • Arial

    • Arial (Subset 1_30)
    • Arial Black
    • Arial Italic

  • Comic Sans MS
    • Comic Sans MS

  • Courier New
    • Courier New (Subset 1_30)

  • Georgia
    • Georgia

  • Symbol
  • Tahoma

    • Tahoma (Subset 1_07)

  • Times New Roman

    • Times New Roman (Subset 1_30)
    • Times New Roman Italic

  • Verdana

    • Verdana

  • Wingding

Graphics and multimedia technologies

  • Audio

    • Waveform audio

  • Graphics
    • DirectDraw
    • Gradient fill support
    • Imaging

      • Still image codec support (encode and decode)

      • Sill image decoders

        • BMP decoder
        • GIF decoder
        • JPG decoder
        • PNG decoder

      • Still image encoders

        • BMP decoder
        • GIF decoder
        • JPG decoder
        • PNG decoder

  • Media
    • Audio codecs and renderers

      • MP3 codec
      • Wave/AIFF/au/snd file parser
      • WMA codec
      • WMA voice codec

    • DirectShow

      • ACM wrapper filter
      • DirectShow core
      • DirectShow display
      • DMP wrapper filter

    • Media formats

      • AVI filter
      • MPEG-1 parser/splitter

    • Video codecs and renderers

      • DirectShow Video Renderer
      • MPEG-1 video codec
      • MS RLE video codec
      • Video/Image compression manager
      • WMV / MPEG-4 video codec

    • Windows Media Player

      • Windows Media Player
      • Windows Media Player OCX
      • Windows Media technologies

        • ASX v1 and M3U file support
        • ASX v2 file support
        • ASX v3 file support
        • NSC file support
        • Windows media multicast and multi-bit rate
        • Windows media streaming from local storage
        • Windows media streaming over HTTP
        • Windows media streaming over MMS

    • WMA and MP3 local playback
    • WMA and MP3 streaming

International

  • Input Method Manager (IMM)
  • Multilingual User Interface (MUI)
  • National Language Support (NLS)

Internet client services

  • Browser application
    • Internet Explorer 6.0 for Windows CE - Standard components

  • Internet Explorer 6.0 for Windows CE Components

    • Internet Explorer browser control host
    • Internet Explorer HTML/DTHML API
    • Internet Explorer multiple-language base API
    • URL moniker services
    • Windows Internet services

      • Passport SSI 1.4 authentication
      • Platform for Privacy Preferences (P3P)

  • Internet Options Control Panel
  • Scripting

    • JScript 5.6

      • Script authoring (Jscript)
      • Script encode (Jscript)

    • VBScript 5.6

      • MsgBox and InputBox support
      • Script authoring (VBScript)
      • Script encode (VBScript)

Security

  • Authentication Services (SSPI)

    • Kerberos
    • NTLM
    • Schannel (SSL/TLS)

  • Credential Manager

  • Cryptography services (CryptoAPI 1.0) with high encryption provider

    • Certificates (CryptoAPI 2.0)

      • Cryptographic messaging (PKCS#7)

    • Diffie-Hellman/DSS provider

Shell and user interface

  • Graphics, windowing, and events
    • Minimal GDI configuration
    • Minimal GWES configuration
    • Minimal input configuration
    • Minimal window manager configuration

  • Shell

    • Command shell

      • Command processor
      • Console window

    • Standard shell

  • User interface

    • Common controls

      • Common control

    • Common dialog support
    • Control Panel applets
    • Customizable UI

      • Windows XP-like sample skin

    • Mouse
    • Network user interface
    • Software input panel

      • SIP for large screens
      • SIP for small screens
      • Software-based input panel driver

Platform manager

  • Platform manager

Bernecker + Rainer-specific tools

  • APIs
    • Automation Device Interface V1.51
    • Screensaver
    • PVI

  • Control Panel applets
    • Configuration Manager V2.00
    • Touch Screen V2.00
    • Screensaver
    • Server Applet V2.00

  • Programs
    • Registry Editor
    • RegSvrCE
    • DCOMCnfg
    • Full-screen Web browser
    • RamDisk
    • RegSave

9S0001.34-020 WinCE5.0 ProPlus APC620/PPC700

In addition to the components of the product 9S0001.32-020 WinCE5.0 Pro APC620/PPC700, the following viewers are also included:

  • PDF viewer
  • Excel viewer
  • Word Viewer
  • Power Point viewer
  • Image viewer

<< Previous Topic
V1.0

Start Page

Next Topic >>
PP 100/200, MP 100/200


PP 100/200 BIOS, MP 100/200 BIOS

PP 100/200, MP 100/200

In this section the following topics are discussed:

PP 100/200, MP 100/200

V5.0

V5.1

<< Previous Topic
V1.1

Start Page

Next Topic >>
V5.0


V5.0

Base operating system

  • Microsoft Windows CE 5.0

Device drivers

  • Input devices
    • 8042 keyboard/mouse - English
    • NOP (stub) keyboard/mouse - English

  • Networking
    • Wide Area Networking (WAN) devices

      • Asyncmac NDIS driver

  • PCI bus
  • Printer devices
    • PCL printer devices

  • Serial
    • Com16550
    • Com16550 (second instance)
    • Com16550 (third instance)
    • Com card

  • Smart card
    • Smart card

  • Storage devices
    • Storage devices

      • ATAPI PCI/IDE storage block driver
      • Promise Controller ATAPI driver

  • USB host
    • OHCI
  • Power Panel Geode graphics card driver with rotation support

Application - End user

  • ActiveSync
    • File sync

  • CAB file installer/uninstaller
  • Help
  • Remote Desktop Connection
    • Remote Desktop Protocol

      • Cut / copy / paste clipboard redirection
      • File storage redirection
      • Printer redirection
      • Serial and parallel port redirection
      • Smart card redirection
      • User interface dialog boxes

  • Wordpad

Application and services development

  • .NET Compact Framework

    • .NET Compact Framework 1.0
    • OS dependencies for .NET Compact Framework 1.0
    • Smart device authentication utility

  • Active Template Library (ATL)
  • C libraries and runtimes
    • C++ runtime support for exception handling and runtime type information
    • Full C runtime
    • Standard I/O (STDIO)
    • Standard I/O ASCII (STDIOA)
    • Standard string functions - ASCII (corestra)
    • String safe utility functions

  • Component services (COM and DCOM)

    • Component object model

      • DCOM

        • COM storage
        • DCOM remote access

  • Microsoft Foundation Classes (MFC)
  • XML
    • MSXML 3.0
    • XML Core Services and Document Object Model (DOM)

      • XML error strings
      • XML HTTP
      • XML Query Languages (XQL)

        • XML Stylesheet Language Transformations (XSLT)

      • XML SAX

    • XML minimal parser

Communication services and networking

  • Networking - Local Area Network (LAN)

    • Wired Local Area Network (802.3, 802.5)

  • Networking - Wide Area Network (WAN)
    • Dial-up networking (RAS/PPP)

      • AutoDial
      • Standard modem support for dial-up networking

    • Point-to-Point Protocol over Ethernet (PPPoE)
    • Telephony API (TAPI2.0)

      • Unimodem support

    • Virtual Private Networking

      • PPTP

  • Networking - Features
    • NDIS user-mode I/O driver
    • Network driver architecture (NDIS)
    • Network utilities (IpConfig, Ping, Route)
    • TCP/IP

      • IP Helper API

    • Universal Plug and Play (UPnP)

      • Control Point API
      • Device Host API

    • Windows Networking API/Redirector (SMB/CIFS)
    • Winsock support

  • Servers
    • Core server support
    • File server
    • FTP server
    • RAS server/PPTP server (incoming)
    • Simple Network Time Protocol (SNTP)

      • SNTP client with DST

    • Telnet server
    • Web Server *HTTPD

      • Active Server Pages (ASP) support

        • JScript 5.6
        • VBScript 5.6

      • Device Management ISAPI Extension
      • Web Server Administration ISAPI

Core OS services

  • Debugging tools
    • LMemDebug memory debugging hooks
    • Toolelp API
    • Remote display application

  • Device manager
  • Display support
  • Kernel features

    • Fiber API
    • FormatMessage API
    • Memory mapped files
    • Message queue - point-to-point

  • Parallel port support
  • PNP notification
  • Power management (full)
  • Serial port support
  • UI-based notification
  • USB host support
    • USB printer class driver
    • USB remote NDIS class driver
    • USB storage class driver

File systems and data storage

  • Bit-based
  • Compression
  • Database support
  • Hive-based registry
  • ROM-only file system
  • Storage manager

    • CD/UDFS file system
    • FAT file system
    • Partition driver
    • Storage Manager Control Panel applet

  • System password

Fonts

  • Arial

    • Arial (Subset 1_30)
    • Arial Black
    • Arial Italic

  • Comic Sans MS
    • Comic Sans MS

  • Courier New
    • Courier New (Subset 1_30)

  • Georgia
    • Georgia

  • Symbol
  • Tahoma

    • Tahoma (Subset 1_07)

  • Times New Roman

    • Times New Roman (Subset 1_30)
    • Times New Roman Italic

  • Verdana

    • Verdana

  • Wingding

Graphics and multimedia technologies

  • Audio

    • Waveform audio

  • Graphics
    • DirectDraw
    • Gradient fill support
    • Imaging

      • Still image codec support (encode and decode)
      • Sill image decoders
      • BMP decoder
      • GIF decoder
      • JPG decoder
      • PNG decoder

  • Media
    • DirectShow

      • DirectShow core
      • DirectShow display
      • DMP wrapper filter

    • Media formats

      • AVI filter
      • MPEG-1 parser/splitter

    • Video codecs and renderers
    • DirectShow video renderer

      • MPEG-1 video codec
      • MS RLE video codec
      • Video/Image compression manager

    • Windows Media Player

      • Windows Media Player
      • Windows Media Player OCX

International

  • Input Method Manager (IMM)
  • National Language Support (NLS)
  • Multilingual User Interface (MUI)

Internet client services

  • Browser application
    • Internet Explorer 6.0 for Windows CE - Standard components

  • Internet Explorer 6.0 for Windows CE Components

    • Internet Explorer browser control host
    • Internet Explorer HTML/DTHML API
    • Internet Explorer multiple-language base API
    • URL moniker services
    • Windows Internet services

      • Passport SSI 1.4 authentication
      • Platform for Privacy Preferences (P3P)

  • Internet Options Control Panel
  • Scripting

    • JScript 5.6

      • Script authoring (Jscript)
      • Script encode (Jscript)

    • VBScript 5.6

      • MsgBox and InputBox support
      • Script authoring (VBScript)
      • Script encode (VBScript)

Security

  • Authentication Services (SSPI)

    • Kerberos
    • NTLM
    • Schannel (SSL/TLS)

  • Credential Manager

  • Cryptography services (CryptoAPI 1.0) with high encryption provider

    • Certificates (CryptoAPI 2.0)

      • Cryptographic messaging (PKCS#7)

    • Diffie-Hellman/DSS provider

Shell and user interface

  • Graphics, windowing, and events
    • Minimal GDI configuration
    • Minimal GWES configuration
    • Minimal input configuration
    • Minimal window manager configuration

  • Shell

    • Command shell

      • Command processor
      • Console window

    • Standard shell

  • User interface

    • Common controls

      • Common control

    • Common dialog support
    • Control Panel applets
    • Customizable UI

      • Windows XP-like sample skin

    • Mouse
    • Network user interface
    • Software input panel

      • SIP for large screens
      • SIP for small screens
      • Software-based input panel driver

Platform manager

  • Platform manager

Bernecker + Rainer-specific tools

  • APIs
    • Automation Device Interface V1.01
    • Screensaver

  • Control Panel applets
    • Server applet
    • Configuration Manager
    • PVI

  • Programs
    • Registry Editor
    • RegSvrCE
    • DCOMCnfg

  • aPCI cards
    • 5IF760.9 aPCI module

<< Previous Topic
PP 100/200, MP 100/200

Start Page

Next Topic >>
V5.1


V5.1

9S0001.33-020 WinCE5.0 Pro PP100/200,MP100/200

The following components are included in the product 9S0001.33-020 WinCE5.0 Pro PP100/200,MP100/200:

Base operating system

  • Microsoft Windows CE 5.0

Device drivers

  • Input devices
    • 8042 keyboard/mouse - English
    • NOP (stub) keyboard/mouse - English

  • Networking
    • Wide Area Networking (WAN) devices

      • Asyncmac NDIS driver

  • PCI bus
  • Printer devices
    • PCL printer devices

  • Serial
    • Com16550
    • Com16550 (second instance)
    • Com16550 (third instance)
    • Com card

  • Smart card
    • Smart card

  • Storage devices
    • Storage devices

      • ATAPI PCI/IDE storage block driver
      • Promise Controller ATAPI driver

  • USB host
    • OHCI

  • Power Panel Geode graphics card driver with rotation support

Application - End user

  • ActiveSync
    • File sync

  • CAB file installer/uninstaller
  • Help
  • Remote Desktop Connection
    • Remote Desktop Protocol

      • Cut / copy / paste clipboard redirection
      • File storage redirection
      • Printer redirection
      • Serial and parallel port redirection
      • Smart card redirection
      • User interface dialog boxes

  • Wordpad

Application and services development

  • .NET Compact Framework

    • .NET Compact Framework 1.0
    • OS dependencies for .NET Compact Framework 1.0
    • Smart device authentication utility

  • Active Template Library (ATL)
  • C libraries and runtimes
    • C++ runtime support for exception handling and runtime type information
    • Full C runtime
    • Standard I/O (STDIO)
    • Standard I/O ASCII (STDIOA)
    • Standard string functions - ASCII (corestra)
    • String safe utility functions

  • Component services (COM and DCOM)

    • Component object model

      • DCOM

        • COM storage
        • DCOM remote access

  • Microsoft Foundation Classes (MFC)
  • XML
    • MSXML 3.0
    • XML Core Services and Document Object Model (DOM)

      • XML error strings
      • XML HTTP
      • XML Query Languages (XQL)

        • XML Stylesheet Language Transformations (XSLT)

      • XML SAX

    • XML minimal parser

Communication services and networking

  • Networking - Local Area Network (LAN)

    • Wired Local Area Network (802.3, 802.5)

  • Networking - Wide Area Network (WAN)
    • Dial-up networking (RAS/PPP)

      • AutoDial
      • Standard modem support for dial-up networking

    • Point-to-Point Protocol over Ethernet (PPPoE)
    • Telephony API (TAPI2.0)

      • Unimodem support

    • Virtual Private Networking

      • PPTP

  • Networking - Features
    • NDIS user-mode I/O driver
    • Network driver architecture (NDIS)
    • Network utilities (IpConfig, Ping, Route)
    • TCP/IP

      • IP Helper API

    • Universal Plug and Play (UPnP)

      • Control Point API
      • Device Host API

    • Windows Networking API/Redirector (SMB/CIFS)
    • Winsock support

  • Servers
    • Core server support
    • File server
    • FTP server
    • RAS server/PPTP server (incoming)
    • Simple Network Time Protocol (SNTP)

      • SNTP client with DST

    • Telnet server
    • Web Server *HTTPD

      • Active Server Pages (ASP) support

        • JScript 5.6
        • VBScript 5.6

      • Device Management ISAPI Extension
      • Web Server Administration ISAPI

Core OS services

  • Debugging tools
    • LMemDebug memory debugging hooks
    • Toolelp API
    • Remote display application

  • Device manager
  • Display support
  • Kernel features

    • Fiber API

    • FormatMessage API
      • FormatMessage API - System Error Messages

    • Memory mapped files
    • Message queue - point-to-point

  • Parallel port support
  • PNP notification
  • Power management (full)
  • Serial port support
  • UI-based notification
  • USB host support
    • USB printer class driver
    • USB remote NDIS class driver
    • USB storage class driver

File systems and data storage

  • Bit-based
  • Compression
  • Database support
  • Hive-based registry
  • ROM-only file system
  • Storage manager

    • CD/UDFS file system
    • FAT file system
    • Partition driver
    • Storage Manager Control Panel applet

  • System password

Fonts

  • Arial

    • Arial (Subset 1_30)
    • Arial Black
    • Arial Italic

  • Comic Sans MS
    • Comic Sans MS

  • Courier New
    • Courier New (Subset 1_30)

  • Georgia
    • Georgia

  • Symbol
  • Tahoma

    • Tahoma (Subset 1_07)

  • Times New Roman

    • Times New Roman (Subset 1_30)
    • Times New Roman Italic

  • Verdana

    • Verdana

  • Wingding

Graphics and multimedia technologies

  • Audio

    • Waveform audio

  • Graphics
    • DirectDraw
    • Gradient fill support
    • Imaging

      • Still image codec support (encode and decode)
      • Sill image decoders
      • BMP decoder
      • GIF decoder
      • JPG decoder
      • PNG decoder

  • Media
    • DirectShow

      • DirectShow core
      • DirectShow display
      • DMP wrapper filter

    • Media formats

      • AVI filter
      • MPEG-1 parser/splitter

    • Video codecs and renderers
    • DirectShow video renderer

      • MPEG-1 video codec
      • MS RLE video codec
      • Video/Image compression manager

    • Windows Media Player

      • Windows Media Player
      • Windows Media Player OCX

International

  • Input Method Manager (IMM)
  • National Language Support (NLS)
  • Multilingual User Interface (MUI)

Internet client services

  • Browser application
    • Internet Explorer 6.0 for Windows CE - Standard components

  • Internet Explorer 6.0 for Windows CE Components

    • Internet Explorer browser control host
    • Internet Explorer HTML/DTHML API
    • Internet Explorer multiple-language base API
    • URL moniker services
    • Windows Internet services

      • Passport SSI 1.4 authentication
      • Platform for Privacy Preferences (P3P)

  • Internet Options Control Panel
  • Scripting

    • JScript 5.6

      • Script authoring (Jscript)
      • Script encode (Jscript)

    • VBScript 5.6

      • MsgBox and InputBox support
      • Script authoring (VBScript)
      • Script encode (VBScript)

Security

  • Authentication Services (SSPI)

    • Kerberos
    • NTLM
    • Schannel (SSL/TLS)

  • Credential Manager

  • Cryptography services (CryptoAPI 1.0) with high encryption provider

    • Certificates (CryptoAPI 2.0)

      • Cryptographic messaging (PKCS#7)

    • Diffie-Hellman/DSS provider

Shell and user interface

  • Graphics, windowing, and events
    • Minimal GDI configuration
    • Minimal GWES configuration
    • Minimal input configuration
    • Minimal window manager configuration

  • Shell

    • Command shell

      • Command processor
      • Console window

    • Standard shell

  • User interface

    • Common controls

      • Common control

    • Common dialog support
    • Control Panel applets
    • Customizable UI

      • Windows XP-like sample skin

    • Mouse
    • Network user interface
    • Software input panel

      • SIP for large screens
      • SIP for small screens
      • Software-based input panel driver

Platform manager

  • Platform manager

Bernecker + Rainer-specific tools

  • APIs
    • Automation Device Interface V2.01
    • Screensaver
    • PVI

  • Control Panel applets
    • Configuration Manager V2.00
    • Touch Screen V2.00
    • Screensaver
    • Server Applet V2.00

  • Programs
    • Registry Editor
    • RegSvrCE
    • DCOMCnfg
    • Full-screen Web browser
    • RamDisk
    • RegSave

  • aPCI cards
    • 5IF760.9 aPCI module

9S0001.35-020 WinCE5.0 ProPlus PP100/200,MP100/200

In addition to the components of the product 9S0001.33-020 WinCE5.0 Pro PP100/200,MP100/200, the following viewers are also included:
  • PDF viewer
  • Excel viewer
  • Word Viewer
  • Power Point viewer
  • Image viewer

<< Previous Topic
V5.0

Start Page

Next Topic >>
Commissioning


Commissioning

In this section the following topics are discussed:

Commissioning

Installation

Configuration

Cloning

<< Previous Topic
V5.1

Start Page

Next Topic >>
Installation


Installation

In this section the following topics are discussed:

Installation

Requirements for installing B&R Windows CE

Partitioning the CompactFlash card

BIOS settings

Installing B&R Windows CE

<< Previous Topic
Commissioning

Start Page

Next Topic >>
Requirements for installing B&R Windows CE


Was Sie für die Installation von B&R Windows CE benötigenWas Sie für die Installation von B&R Windows CE benötigen

Was Sie für die Installation von B&R Windows CE benötigen

Allgemein

In diesem Dokument erfahren Sie, welche Komponenten Sie für die Installation von B&R Windows CE benötigen. Beachten Sie, dass B&R Windows CE in der Regel nur von B&R in Kombination mit einem B&R Gerät ausgeliefert werden darf. Die manuelle Installation von B&R Windows CE darf nur zur Wiederherstellung eines B&R Windows CE Images verwendet werden.

Hardware

Teil | Beschreibung
B&R Power Panel 100 BIOS, B&R Mobile Panel 100 BIOS, B&R APC620, B&R Panel PC 700 | Automation Runtime Panels (z.B. Power Panel 100 embedded, Power Panel 15 etc.) werden nicht unterstützt!
RAM | Das Gerät muss mindestens 128 MByte RAM besitzen. Beachten Sie, dass Microsoft Windows CE maximal 512MByte RAM adressieren kann.
Compact Flash Karte | Die Compact Flash Karte muss mindestens 32 MByte groß sein.
USB Compact Flash Adapter | Mit diesem Adapter beschreiben Sie die Compact Flash Karte. Empfohlen wird die B&R USB 2.0 Laufwerkskombination 5MD900.USB2-00.

Software

Teil | Beschreibung
Datei NK.BIN | Das B&R Windows CE Image.
Datei BLDR | Der B&R Windows CE Bootloader.
Datei LogoQVGA.bmp | Bootlogo für QVGA Geräte.
Datei LogoXRes.bmp | Bootlogo für Geräte mit einer Auflösung größer als QVGA.
B&R eMbedded OS Installer | Ein Windows XP Programm, welches B&R Windows CE installiert. Dieses Programm können Sie kostenlos von der B&R Homepage (http://www.br-automation.com) downloaden.
Windows XP | Dieses Betriebssystem wird von B&R eMbedded OS Installer unterstützt.

Hinweis: NK.BIN, BLDR, LogoQVGA.bmp und LogoXRes.bmp (diese Dateien werden auch als "das Windows CE Image" bezeichnet) können Sie nicht von der B&R Homepage downloaden. Sie müssen diese Dateien von einer bereits funktionierenden B&R Windows CE Installation sichern. Falls Sie nicht im Besitz einer funktionierenden B&R Windows CE Installation sind, kontaktieren Sie bitte Ihren zuständigen B&R Vertriebsmann.

Siehe auch

B&R eMbedded OS Installer

<< Previous Topic
Installation

Start Page

Next Topic >>
Partitioning the CompactFlash card


Partitioning the CompactFlash card

General

B&R Windows CE requires at least 2 partitions (SYSTEM and STORAGE) with the first partition being hidden. The first partition (SYSTEM) contains the operating system (BLDR, NK.BIN, LOGOQVGA.BMP, and LOGOXRES.BMP), the registry, and the configuration files. Since this partition is hidden, the Windows CE user cannot access it, thereby protecting the operating system.

The second partition (STORAGE) is used to store the storage memory. This means that each file that you store in the B&R Windows CE storage memory is saved to the second partition and available after shutdown. In order for the storage memory to be saved faultlessly, you need to ensure that the STORAGE partition is at least as large as you configured it to be in the Control Panel applet System properties > Memory.

Be aware of the following:

  • Microsoft Windows CE divides a device's existing RAM into storage and program memory. If you enlarge the storage memory from the System Control Panel applet, then you will need a larger STORAGE partition on the CompactFlash card, and the available program memory is reduced.

  • The first time that B&R Windows CE 5.0 is booted, the storage memory is configured at 5 MB. This results in a minimum size of 5 MB for the STORAGE partition. This value can be adjusted in the System Control Panel applet or with the keyword STORAGEMEMORY in the START.DAT configuration file.
No. | Description | Description | Hidden | Minimum size | Required
1 | SYSTEM | Contains the operating system, registry, and configuration files. May also contain application data. | Yes | Size of the operating system + Size of the configuration files + 1 MB | Yes
2 | STORAGE | Contains the files that are copied to storage memory. | No | 5 MB | Yes

Note: The size of the SYSTEM partition primarily depends on the size of the operating system being used and whether the Compress B&R Windows CE image option has been selected in the B&R eMbedded OS Installer.

See also:

Requirements for installing B&R Windows CE, Installing B&R Windows CE 5.0, B&R eMbedded OS Installer

<< Previous Topic
Requirements for installing B&R Windows CE

Start Page

Next Topic >>
BIOS settings


BIOS settings

General

Since Microsoft Windows CE is an embedded operating system, it only has limited support for Plug and Play. For this reason, various BIOS settings need to be made on the APC620 and Panel PC700. Make sure that you have made these settings correctly before you boot for the first time!

Default configuration

Note: Load the Setup Defaults before modifying the following settings.

    Setting | Value | Description
Advanced > PCI/PNP Configuration > PNP OS installed | No | B&R Windows CE is not a Plug & Play operating system. Set this setting to No so that BIOS assigns resources.
Advanced > Baseboard/Panel Features > Legacy Devices > COM C: | Enabled | Set this setting to Enabled if you want to use a touch screen.
Advanced > Baseboard/Panel Features > Legacy Devices > COM D: | Disabled | Set this setting to Disabled so that the touch screen works on all connected panels in clone mode.
Advanced > Miscellaneous > PS/2 Mouse | Enabled | Set this setting to Enabled if you want to use a PS/2 mouse.

Configuring BIOS settings (PanelPC 700)

  • Open up the BIOS setup by pressing F2.
  • Switch to the Exit menu.
  • Load the setup defaults by selecting Load Setup Defaults and pressing Enter.
  • Switch to the Advanced menu.
  • Open up the PCI/PNP Configuration menu.
  • Set PNP OS installed to No.
  • Switch to the Advanced tab.
  • Now open up the Baseboard / Panel Features > Legacy Devices menu.
  • Disable the COM D serial interface.
  • Switch to the Miscellaneous tab.
  • Enable the PS/2 mouse option.
  • Exit BIOS with the Exit Saving Changes command.

Serial ports

B&R Windows CE supports up to 4 serial ports. COM3 is reserved by the touch screen. All the other serial ports can be configured freely in the BIOS. Please note that only COM1 and COM2 are UNIMODEM capable.

    Schnittstelle | BIOS Default | Base I/O address | Interrupt
COM1 | Serial Port A | 3F8 | 4
COM2 | Serial Port B | 2F8 | 3
COM3 | COM C | 3E8 | 11
COM4 | COM D | 238 | 7

See also:

Requirements for installing B&R Windows CE, Installing B&R Windows CE, Why isn't my PS/2 mouse working?, Why does touch only work on a link connector?

<< Previous Topic
Partitioning the CompactFlash card

Start Page

Next Topic >>
Installing B&R Windows CE


Installing B&R Windows CE

General

This section will demonstrate how to install B&R Windows CE. Make sure that all of the requirements in the Requirements for installing B&R Windows CE section have been met.

Installing B&R Windows CE

  • If you are using a B&R APC620 or B&R PPC700, then BIOS should be configured as described in the following section: BIOS settings.

  • Copy the NK.BIN, BLDR, LOGOQVGA.BMP, and LOGOXRES.BMP files of an existing B&R Windows CE installation to any directory on your hard drive. Make sure that you have write access to this folder!

Note: You must save the NK.BIN, BLDR, LOGOQVGA.BMP, and LOGOXRES.BMP files from an existing B&R Windows CE installation. If you don't have a B&R Windows CE installation, contact your B&R representative.
  • Start the B&R eMbedded OS Installer V2.21 or higher and select the desired removable drive. Make sure that you are using a CompactFlash card that has at least 32 MB.

Note: The B&R eMbedded OS Installer can be downloaded at no cost from the B&R homepage (http://www.br-automation.com).

  • Select the B&R operating system tab.

  • Select Microsoft Windows XP CE 5.0 in the Operating system frame.

  • In the Operating system files frame, select the folder that contains the NK.BIN, BLDR, LOGOQVGA.BMP, and LOGOXES.BMP files.

  • Switch to the Configuration tab.

  • Select the Compress the Windows CE image.

  • Make sure that the START.DAT checkbox and the Automatic configuration options are selected.

  • Switch to the Partitions and data tab and remove any existing partitions.

  • Click on Add to create the first partition, Volume1.

  • Open up the first partition's properties.

  • Click on Minimum partition size to optimally adapt the size of the partition to the B&R Windows CE image.

  • Give the partition the name SYSTEM.

  • Enable the Hide partition checkbox.

  • Close the dialog box.

  • Click on Add again to create another partition that uses the rest of the available memory.

  • Open the partition's properties dialog box and give this partition the name STORAGE.

Note: Make sure that the second partition STORAGE is at least 5 MB.

  • Then click on Install.

See also:

Partitioning the CompactFlash card, Requirements for installing B&R Windows CE

<< Previous Topic
BIOS settings

Start Page

Next Topic >>
Configuration


Configuration

In this section the following topics are discussed:

Configuration

Saving the registry

Editing the registry

Creating a boot logo

Touch screen calibration

Setting brightness and contrast

Configuring keys

<< Previous Topic
Installing B&R Windows CE

Start Page

Next Topic >>
Saving the registry


Saving the registry

General

Saving the registry on B&R Windows CE 4.1 devices takes place via the Configuration Manager applet in the Control Panel. This applet is found in your Windows CE device's Control Panel.

Saving the registry

  • Open up the Start > Settings > Control Panel > Configuration Manager dialog box.
  • Select the Save tab.
  • Click on Save settings.

See also:

Configuration Manager, B&R Registry Editor

<< Previous Topic
Configuration

Start Page

Next Topic >>
Editing the registry


Editing the registry

General

B&R Windows CE provides three ways to edit the registry of your B&R CE device:
  • B&R Registry Editor
  • Windows CE Remote Registry Editor
  • SETTINGS.REG. configuration file

Starting the B&R Registry Editor

  • Start the B&R Windows CE device.
  • Select Start > Programs > Accessories > B&R Registry Editor.

The B&R Windows CE 4.1 Registry Editor "RegEdit"

Note:The registry must be saved after the B&R Registry Editor is closed. Use the Configuration Manager applet in the Control Panel for this.

Starting the Windows CE Remote Registry Editor

  • Establish a connection to the CE device (either ActiveSync or a manual TCP/IP connection).
  • Select the Tools > Remote Registry Editor menu item in Microsoft eMbedded Visual C++.

    Remote Registry Editor link under the Tools menu in eVC4

    Microsoft Remote Registry Editor

See also:

B&R Registry Editor, SETTINGS.REG, Configuration Manager

<< Previous Topic
Saving the registry

Start Page

Next Topic >>
Creating a boot logo


Creating a boot logo

General

B&R Windows CE displays a boot logo with a progress indicator while booting. This section will show you how to create a boot logo for the B&R Windows CE device. To do so, we will be using Corel Photopaint 10.

How to create a boot logo

  • Create a new image with the following parameters:
Parameters | Value
Color mode | 8-bit paletted
Width | 640 pixels
Height | 480 pixels
Resolution | 72 DPI

Creating a new image
Creating a new image

  • We won't be changing the color palette at this time. Click OK without making any changes.

The color palette is not changed
The color palette is not changed

  • Now draw your boot logo.

Draw your boot logo
Draw your boot logo

Note:
If you want to create a logo for QVGA devices, divide the bitmap into 4 equal squares, each with a size of 320x200. Then fill in each square with the desire QVGA logo.

Boot logo for a QVGA device
Example: Boot logo for a QVGA device
  • The boot logo must be flipped for it to be displayed correctly. To do this, select Flip Vertically from the Image->Flip menu.

The image must be flipped
The image must be flipped

  • Once you have created your boot logo, you have to set the colors for the progress bar and background. The following palette colors (indices) are used for this:
Color | Color index
Progress bar | 1
Background | 0

To adjust the palette you need to change the mode for the boot logo in Corel Photopaint (Image > Mode > Paletted (8-bit)). Only by changing the image format can the palette colors be moved and adjusted. Use the functions under the Processed Palette tab.

  • Finally, the boot logo must be saved. Select the Export command from the File menu.

Saving the bitmap
Saving the bitmap

The following settings must be set in the Export Image to Disk dialog box:

Property | Value
Filename for boot logos with QVGA resolution | LogoQVGA.bmp
Filename for boot logos with a resolution higher than QVGA | LogoXRes.bmp
File type | BMP - Windows bitmap
Compression type | Uncompressed
  • You can now copy both the LogoXRes.bmp and LogoQVGA.bmp files into the main directory of your CompactFlash card.

See also:

Why do I have to flip the boot logo?

<< Previous Topic
Editing the registry

Start Page

Next Topic >>
Touch screen calibration


Touch screen calibration

General

B&R Windows CE starts the touch calibration sequence during its first boot in the default configuration / delivered state. This guarantees that the touch screen is calibrated correctly. If it becomes necessary to recalibrate touch somewhere down the line, B&R Windows CE offers the following methods:
  • Starting the calibration with the Touch Screen applet in the Control Panel.
  • Starting the calibration with the TOUCHCAL keyword.
  • Starting the calibration with the mode/node switch on the PP100/200 BIOS and MP100/200 BIOS.

Starting calibration from the Touch Screen applet in the Control Panel

  • Select Start > Settings > Control Panel and double-click on the Touch Screen icon.
  • Switch to the Calibration tab.

The Touchscreen applet

  • Click on the Calibrate / Recalibrate button.
  • Now follow the instructions on the screen.

Starting calibration with the TOUCHCAL keyword

If the keyword TOUCHCAL=1 is set in the START.DAT configuration file configuration file, then each time it's booted, B&R Windows CE checks whether the touch screen has already been calibrated successfully. If it hasn't, then calibration is started automatically.

  • Insert TOUCHCAL=1 keyword into the START.DAT configuration file.
  • Reboot the Windows CE device.
  • If touch hasn't yet been calibrated, then the calibration program is started automatically.
  • Now follow the instructions on the screen.

Starting calibration with the mode/node switch

If your B&R Windows CE device has a mode/node switch (e.g. Power Panel 100/200 BIOS), it can be used to activate the calibration process.
  • Make sure that the TOUCHCAL=1 keyword is included in the START.DAT configuration file.
  • Put the mode/node switch to the 0-0 position (service mode).
  • Reboot the Windows CE device.
  • Calibration is started automatically during booting regardless of whether the touch screen has already been calibrated.
  • Now follow the instructions on the screen.

Mode/Node switches on the Power Panel
Mode/Node switches on the Power Panel

Mode/Node switches on the Mobile Panel
Mode/Node switches on the Mobile Panel

Note:
More information about the mode/node switches can be found in the Power Panel 100/200 and Mobile Panel 100/200 User's Manual which can be downloaded from the B&R homepage.

See also:

START.DAT, Control Panel applet Touch Screen, TOUCHCAL

<< Previous Topic
Creating a boot logo

Start Page

Next Topic >>
Setting brightness and contrast


Setting brightness and contrast

General

During the first boot, B&R Windows CE uses the factory setting brightness and contrast values for the display being used. Since these are only mean values, you usually have to set brightness and contrast according to your own requirements.

Changing brightness and contrast

  • Open up the Start > Settings > Control Panel > Control Center dialog box.
  • Select the Display tab.
  • Move the slide tool to the brightness value that your display should have.
  • Deselect the Auto checkbox in the Contrast frame.

Note: Contrast settings can only be configured with passive displays. Changing contrast has no effect on active displays (TFT).
  • Move the slide tool to the contrast value that your display should have.
  • Close the dialog box by clicking OK
    .

Note: If your Windows CE device has a mode/node switch, then it's possible to boot the device in service mode with switch setting 0-0. Instead of the settings you have made, B&R Windows CE uses the factory settings with this configuration.

See also:

Control Center

<< Previous Topic
Touch screen calibration

Start Page

Next Topic >>
Configuring keys


Configuring keys

General

If your Windows CE device comes with keys (e.g. Mobile Panel 5MP181.0843-07), then these keys can be assigned functions from a PS/2 keyboard. To configure, you just need the B&R Key Editor program that can be downloaded from the B&R homepage at www.br-automation.com.

Configuring keys on a Mobile Panel

  • Create a new B&R Key Editor project project for your Windows CE device. Choose Mobile Panel 100, 200 as your system family.
  • Make sure that you're using the Automation Device Interface.
  • Insert the desired B&R Windows CE devic e to your project.
  • Define the keys.
  • Create the project and transfer the output file (KCF) to the Windows CE device (e.g. B&R Control Center).

Note: Extensive documentation can be found in the B&R Key Editor online help.

<< Previous Topic
Setting brightness and contrast

Start Page

Next Topic >>
Cloning


Cloning an image

In this section the following topics are discussed:

Cloning

Creating an image

Restoring an image

<< Previous Topic
Configuring keys

Start Page

Next Topic >>
Creating an image


Creating an image

General

This section details which steps are important when creating a B&R Windows CE image.

Components

Images are successfully created using the components in the following table.

    Component | Description
B&R IPC 5600C | The IPC5600C is used to create images. This provides 2 IDE slots where CF and a hard drive can be inserted.
CF card with installed B&R Windows CE | The CF card with a functioning copy of B&R Windows CE to be cloned.
Silicon disk adapter | This adapter can be used to operate CF on the IDE bus.
PowerQuest Drive Image 4.0 (PQDI) | Well-suited software for creating an image. This program cannot be ordered from B&R. It has to be purchased directly from the manufacturer.
Hard drive | Used to record the new image.

CF on IDE

PQDI can only create images from IDE devices. In other words, you need to connect your CF to the IPC's IDE bus using a CF adapter (Silicon Disk Adapter CF 1Slot, 5A5002.03). To do so, insert the CF into the adapter and then connect the adapter to one of the two IDE interfaces.

Hard disk, CF, and CF adapter
Hard disk, CF, and CF adapter

Now connect the hard drive with the second IDE interface. Master/Slave settings are of no importance.

IDE interfaces on the IPC5600
IDE interfaces on the IPC5600

CHS mode for CF

B&R Power Panels and B&R Mobile Panels can only read CF which has been partitioned and formatted in CHS mode. For the IPC5600C to be able to use CHS mode, it needs to be set in the BIOS for the corresponding IDE device. Open the setup page Standard CMOS Features in BIOS and set the mode to Normal (or CHS).

Reboot the IPC and pay attention to the BIOS summary screen. The mode being used now has to be set to Normal (or CHS) for the CF.

Note:
More information on this subject can be found in the Provit 5000 User's Manual MAPRV5000-0. This can be downloaded from the B&R Homepage.

Power Quest Drive Image (PQDI)

Boot the IPC5600C with the first diskette from PQDI. Once booting is complete, select Create Image to begin creating an image. Since you can use the default settings, you just have to follow the instruction on the screen to successfully create the image.

Screenshot – Power Quest Drive Image
Screenshot – PowerQuest Drive Image

See also:

Restoring an image

<< Previous Topic
Cloning

Start Page

Next Topic >>
Restoring an image


Restoring an image

General

This section details which steps are important when restoring a B&R Windows CE image.

Components

Images are successfully restored using the components in the following table.

    Component | Description
B&R IPC 5600C | The IPC5600C is used to restore images. This provides 2 IDE slots where CF and a hard drive can be inserted.
Silicon disk adapter | This adapter can be used to operate CF on the IDE bus.
PowerQuest Drive Image 4.0 (PQDI) | Well-suited software for creating/restoring images. This program cannot be ordered from B&R. It has to be purchased directly from the manufacturer.
Hard drive | Used to record the new image.

CF on IDE

PQDI can only restore images on IDE devices. In other words, you need to connect your empty CF to the IPC's IDE bus using a CF adapter (Silicon Disk Adapter CF 1Slot, 5A5002.03). To do so, insert the CF into the adapter and then connect the adapter to one of the two IDE interfaces.

Hard disk, CF, and CF adapter
Hard disk, CF, and CF adapter

Connect the hard drive containing the image (*.pqi file) to the second IDE interface. Master/Slave settings are of no importance.

IDE interfaces on the IPC5600
IDE interfaces on the IPC5600

CHS mode for CF

B&R Power Panels and B&R Mobile Panels can only read CF which has been partitioned and formatted in CHS mode. For the IPC5600C to be able to use CHS mode, it needs to be set in the BIOS for the corresponding IDE device. Open the setup page Standard CMOS Features in BIOS and set the mode to Normal (or CHS).

Reboot the IPC and pay attention to the BIOS summary screen. The mode being used now has to be set to Normal (or CHS) for the CF.

Note: Make sure that the image you are using has been created in CHS mode! See the Creating an image section.

Note: More information on this subject can be found in the Provit 5000 User's Manual MAPRV5000-0. This can be downloaded from the B&R Homepage.

Power Quest Drive Image (PQDI)

Boot the IPC5600C with the first diskette from PQDI. Once booting is complete, select Restore Image to begin restoring an image. Since you can use the default settings, you just have to follow the instructions on the screen to successfully copy the image to the CF.

Screenshot – Power Quest Drive Image
Screenshot – PowerQuest Drive Image

See also:

Creating an image

<< Previous Topic
Creating an image

Start Page

Next Topic >>
Software development


Software development

In this section the following topics are discussed:

Software development

Software Development Kit

Native code development

Managed code development

<< Previous Topic
Restoring an image

Start Page

Next Topic >>
Software Development Kit


Software Development Kit

General

A Windows CE Software Development Kit defines the range of functions of a Windows CE image. This information is is needed by several development environments so that only supported APIs are offered. This prevents applications from using Windows CE components that are not included in the image.

B&R offers software development kits for its B&R Windows CE images as well. They can be be downloaded from the B&R homepage (http://www.br-automation.com). The following table liskts the currently available software development kits:

PP100/200, MP100/200

Windows CE image version | SDK version | SDK filename | Microsoft eMbedded Visual C++ 4.0 | Microsoft Visual Studio 2003 | Microsoft Visual Studio 2005
V5.0 | V5.0 | BR Power and Mobile Panel (100,200) CE5.00 V5.0 SDK.msi | OK | OK | -
V5.1 | V5.1 | BR Power and Mobile Panel (100,200) CE5.00 V5.1 SDK.msi | OK | OK | OK

APC620, PPC700

Windows CE image version | SDK version | SDK filename | Microsoft eMbedded Visual C++ 4.0 | Microsoft Visual Studio 2003 | Microsoft Visual Studio 2005
V1.0 | V1.0 | BR APC620 and PPC700 CE5.00 V1.0 SDK.msi | OK | OK | -
V1.1 | V1.1 | BR APC620 and PPC700 CE5.00 V1.1 SDK.msi | OK | OK | OK

In this section the following topics are discussed:

Software Development Kit

Checking the version of an installed SDK

<< Previous Topic
Software development

Start Page

Next Topic >>
Checking the version of an installed SDK


Checking the version of an installed SDK

General

  • Open up the Start > Control Panel > Add/Remove Programs dialog box.
  • Look for the Bernecker + Rainer Software Development Kit entry.
  • The version number is included in the name.

    Version number of an installed B&R (eMbedded Visual C++) SDK

<< Previous Topic
Software Development Kit

Start Page

Next Topic >>
Native code development


Native code development

In this section the following topics are discussed:

Native code development

Creating a "Hello World" program with eMbedded Visual C++ 4.0

Creating a "Hello World" program with Microsoft Visual Studio 2005 and C++

<< Previous Topic
Checking the version of an installed SDK

Start Page

Next Topic >>
Creating a "Hello World" program with eMbedded Visual C++ 4.0


Creating a "Hello World" program with eMbedded Visual C++ 4.0

General

In this example, you'll learn how to create a simple eMbedded Visual C++ 4.0 application for B&R Windows CE.

Note: We do not recommend creating new applications with Microsoft eMbedded Visual C++ 4.0. You should use Microsoft Visual Studio 2005 instead. Refer to the Creating a "Hello World" program with Visual Studio 2005 section.

Creating a "Hello World" program with eMbedded Visual C++ 4.0

  • Make sure that you've installed a B&R Software Development Kit. Refer to the Software Development Kit section.
  • We will be using ActiveSync as the transport provider in this example. The ActiveSync section explains how to set up this connection successfully.
  • To create a new project with eMbedded Visual C++ 4.0, select New from the File menu.

File->New creates a new project.

  • In the next dialog box, select WCE MFC AppWizard (exe) as the project type. Give your project a name ("Test" is used in our example) and select a directory for it.

Specifying the type, name, and directory

  • In the Step 1 of 4 window, you have to change the type of application to Dialog-based.

Select "Dialog Based".

  • Continue from the Step 1 of 4 window by clicking Next >. This opens the Step 2 of 4 dialog box.

Don't make any changes to the settings in this dialog box

  • Leave the settings unchanged in the Step 2 of 4 dialog box and click Next > to continue to the Step 3 of 4 dialog box.

Don't make any changes to the settings in this dialog box

  • Settings in this dialog box also remain unchanged. The Step 4 of 4 dialog box opens after clicking on Next >.

Click on "Finish" to create the project

  • Now click on Finish to create the project.
  • Switch to the Resource Tree and open the IDD_TEST_DIALOG dialog box.

    The open IDD_TEST_DIALOG window

  • Select the static element with the caption TO DO: Dialog box field - control elem. here.

Selecting the static element

  • Open the properties dialog box for the element and change the caption to Hello World!

The Caption property has been changed.

  • The configuration dialog box for the Platform Manager can be opened with Configure Platform Manager under the Tools menu.

  • Now select the B&R Windows CE device as the platform.

Select the B&R device.

    Note:     The name of the platform or B&R device depends on the version of the installed SDK. Use the platform that fits best with your B&R Windows CE device.

  • Open the device's Properties.

Select the second ActiveSync.

  • In this window, you have to select Microsoft ActiveSync for both Transport and Startup Server.
  • Start the build procedure with the Build > Rebuild All command.

Run "Rebuild All"

  • Now you can transfer the project. Press F5 to start debugging. Close the Find local module dialog boxes with Cancel.

Close the "Find local module" dialog boxes with Cancel.

  • The Hello World! application appears on the B&R CE device.

An eVC 4.0 MFC "Hello World" application!

See also:

Active Sync, Requirements

<< Previous Topic
Native code development

Start Page

Next Topic >>
Creating a "Hello World" program with Microsoft Visual Studio 2005 and C++


Creating a "Hello World" program with Microsoft Visual Studio 2005 and C++

General

This example shows how to create a C++ application with Microsoft Visual Studio 2005.

Creating a "Hello World" program with Microsoft Visual Studio 2005 and C++

  • Make sure that you've installed a B&R Software Development Kit. Refer to the Software Development Kit section.
  • Start Microsoft Visual Studio 2005.
  • Open up the File > New project... dialog box.
  • Select Project Type Other Languages > Visual C++ > Smart Device >MFC Smart Device Application.
  • Enter Hello World in the Name textbox.
  • Skip the MFC Smart Device Application Wizard - Hello World dialog box by clicking on Next >.
  • Now make sure that the desired B&R Software Development Kit is listed under Selected SDKs. Remove all unnecessary SDKs.
  • Close the dialog box by clicking Finish. The application wizard then uses the default settings.
  • Now establish a connection to the B&R Windows CE device. Refer to the Connecting Visual Studio 2005 to your B&R Windows CE device section.
  • Click on Build > Deploy Hello World.
  • The example is now built and transferred to the \Program Files\Hello World directory on your B&R Windows CE device.

<< Previous Topic
Creating a "Hello World" program with eMbedded Visual C++ 4.0

Start Page

Next Topic >>
Managed code development


Software development

In this section the following topics are discussed:

Managed code development

Creating a "Hello World" program for Compact Framework V1.0

Creating a "Hello World" program for Compact Framework V2.0

<< Previous Topic
Creating a "Hello World" program with Microsoft Visual Studio 2005 and C++

Start Page

Next Topic >>
Creating a "Hello World" program for Compact Framework V1.0


Creating a "Hello World" program for Compact Framework V1.0

General

In this example, we'll see how to create a simple Visual Basic .NET application with Visual Studio 2003 for a B&R Windows CE device.

Note: We do not recommend creating new applications with Microsoft Visual Studio 2003 for Compact Framework 1.0. Use Microsoft Visual Studio 2005 for Compact Framework V2.0. Refer to the Creating a "Hello World" program for Compact Framework V2.0.

Creating a "Hello World" program for Compact Framework V1.0

  • Make sure that you've installed a B&R Software Development Kit. Refer to the Software Development Kit section.
  • Make sure that you've installed Windows CE Utilities for Visual Studio .NET 2003 Add-on Pack from Microsoft. This software package can be downloaded from the Microsoft homepage (http://www.microsoft.com).
  • We will be using ActiveSync as the transport method in this example. The ActiveSync and ActiveSync transport sections explain how to set up this connection successfully.
  • To create a new project with Visual Studio .NET, select New > Project from the File menu.

Creating a new project with Visual Studio .NET

  • Then select Smart Device Application from the list of Visual Basic projects. Give your project a name ("Test" is used in our example) and select a directory for it.

Specifying the type, name, and directory

  • Now define you platform - Windows CE. Select Windows Application as the project type.

Defining the platform and project type

  • Now place a label on the created form. To do so, double-click on the Label element in the toolbox.

Placing a label

The newly created label

  • Now assign the value Hello World to the Caption property of the Label control.

The Properties dialog box for the Label control

Note: This steps requires that the Windows CE Utilities for Visual Studio .NET 2003 Add-on Pack has already been installed. See Required software.
  • Visual Studio .NET 2003 must now be changed to Compact Framework for x86 CPUs. To do this, open the Select Windows CE Device CPU dialog box from the Tools menu. In the drop-down box, select the CPU type X86 and confirm your selection by clicking Configure.

The "Select Windows CE CPU" dialog box

  • After changing the Device architecture, the registry must be saved on the B&R CE device. A connection to the B&R CE device can now be established by clicking on Connect to device.

Connect to device

Note: The initial connection can take several minutes!
  • The message Device connected appears in the status bar once the connection has been made successfully.

The B&R CE4.1 device has been connected successfully.

Deploying and transferring to the target

  • The project now has to be deployed. This is done by clicking on the filing cabinet icon in the toolbar.

  • Once deployed, the project can be transferred to the B&R Windows CE device with F5. The Windows CE .NET device still needs to be selected as the deployment target.

Select your target!

See also:

Requirements, ActiveSync

<< Previous Topic
Managed code development

Start Page

Next Topic >>
Creating a "Hello World" program for Compact Framework V2.0


Creating a "Hello World" program for Compact Framework V2.0

General

This example will show you how to create an application based on .NET Compact Framework V2.0. Visual Basic .NET is used as the programming language.

Creating a "Hello World" program for Compact Framework V2.0

  • Make sure that Compact Framework V2.0 is already installed. Refer to the sections Range of functions and How do I install Compact Framework 2.0?
  • Make sure that Microsoft ActiveSync 4.X is installed.
  • Start Microsoft Visual Studio 2005.
  • Open up the File > New project... dialog box.
  • Select the type Visual Basic > Smart Device > Windows CE 5.0 in the Project types tree view
  • Then select the Device application template.
  • Enter HelloWorld as the name.
  • Exit the dialog box by clicking OK.
  • Now insert the Label control on Form1.
  • Set the Text property of the Label control to the value Hello World.
  • Now save the project.
  • Establish a connection to the B&R Windows CE device. Refer to the Connecting Visual Studio 2005 to your B&R Windows CE device section.
  • Click on Build > Deploy HelloWorld.
  • In the Deploy HelloWorld dialog box, select Windows CE 5.0 device.
  • Close the Deploy HelloWorld dialog box with Deploy.

See also:

Range of functions, How do I install Compact Framework V2.0, Connecting Visual Studio 2005 to your B&R Windows CE device

<< Previous Topic
Creating a "Hello World" program for Compact Framework V1.0

Start Page

Next Topic >>
Establishing a connection to the CE device


Establishing a connection to the CE device

General

There are several ways to connect a B&R Windows CE device with a desktop PC. The following table lists the different methods as well as some cases when they are used:

Connection manager | Deploying and debugging Microsoft Visual Studio 2005 projects.
Platform manager | Deploying and debugging Microsoft eMbedded Visual C++ 4.0 projects.
ActiveSync | Copying files.

In this section the following topics are discussed:

Establishing a connection to the CE device

Connection manager

Platform manager

ActiveSync

<< Previous Topic
Creating a "Hello World" program for Compact Framework V2.0

Start Page

Next Topic >>
Connection manager


Connection manager

In this section the following topics are discussed:

Connection manager

Connecting Visual Studio 2005 to your B&R Windows CE device

<< Previous Topic
Establishing a connection to the CE device

Start Page

Next Topic >>
Connecting Visual Studio 2005 to your B&R Windows CE device


Connecting Visual Studio 2005 to your B&R Windows CE device

General

Since ActiveSync 4.X doesn't have Ethernet support (see Why doesn't the Ethernet connection work with ActiveSync 4.X anymore?) and a serial ActiveSync connection is too slow, TCP Connect Transport is generally used as the transport method. This section will tell you how to connect a B&R device with Visual Studio 2005.

Connecting Visual Studio 2005 to your B&R Windows CE device

  • Copy the following files to the \Windows directory of your B&R Windows CE device. You can find these files on your desktop OC in the directory \Program Files\Common Files\Microsoft Shared\CoreCon\1.0\Target\wce400\<CPU>.

    Clientshutdown.exe
    ConmanClient2.exe
    CMaccept.exe
    eDbgTL.dl
    lTcpConnectionA.dll

Note: These files are part of Microsoft Visual Studio 2005. Make sure that you have already installed Microsoft Visual Studio 2005.
  • Check whether your B&R Windows CE device has a functioning Ethernet connection. If so, make a note of the IP address.
  • Start the ConmanClient2.exe program. If ConmanClient2.exe executes successfully, a configuration file named GUID is put into the directory containing ConmanClient2.exe.

Note: This configuration file is only created by ConmanClient2.exe if your Windows CE device has a functioning Ethernet connection. If the Ethernet connection is not yet started, ConmanClient2.exe waits for it. If ConmanClient2.exe detects that the Ethernet connection has been established, the configuration file is created automatically.

  • Start Microsoft Visual Studio 2005.
  • Open the Tools > Options > Device tools > Devices dialog box.
  • Enable Windows CE 5.0 device in the Devices list.
  • Open the Properties dialog box.
  • Select TCP Connect Transport from the Transport drop-down box.
  • Then click on Configure.
  • Enable the option Device IP address > Use specific IP address in the Configure TCP/IP Transport dialog box.
  • Now enter the IP address of the B&R Windows CE device.
  • Close the dialog box by clicking OK.
  • Close the Windows CE 5.0 Device Properties dialog box with OK.
  • Close the Options dialog box with OK.

  • Start the CMAccept.exe program on the B&R Windows CE device.
  • You must now establish a connection from Microsoft Visual Studio 2005 to the B&R Windows CE device within three minutes. If you are able to make the connection within three minutes, then you can use it until you close Microsoft Visual Studio 2005.

Note: Refer to the MSDN article How to: Connect to Windows CE Device Without ActiveSync

<< Previous Topic
Connection manager

Start Page

Next Topic >>
Platform manager


Platform manager

General

The Platform manager establishes the connection between a Windows CE device and various development tools (e.g. Microsoft eMbedded Visual C++ or Visual Studio 2003). The platform manager allows these development tools to transfer, execute, or debug programs. The platform manager uses different transport methods to handle transferring. On B&R Windows CE devices, the TCP/IP transport and ActiveSync transport are supported.

In this section the following topics are discussed:

Platform manager

ActiveSync transport

TCP/IP transport

<< Previous Topic
Connecting Visual Studio 2005 to your B&R Windows CE device

Start Page

Next Topic >>
ActiveSync transport


ActiveSync transport

General

You must first install Microsoft ActiveSync in order to use it as the transport method for the Platform Manager. Please read the ActiveSync section in this documentation.

Configuring ActiveSync transport

Note!

The following requirements must be met before you start with this tutorial.

  1. Microsoft eMbedded Visual C++ 4.0 must be installed (the Platform Manager is installed with Visual C++ 4.0).
  2. A B&R Windows CE SDK must be installed.
  3. Microsoft ActiveSync must be installed.
  4. The B&R Windows CE device must be connected to the desktop PC with ActiveSync.
  • Open up Microsoft eMbedded Visual C++ 4.0.
  • Select the Tools > Configure Platform Manager... menu item.

The Configure Platform Manager menu item under the Tools menu in the eVC4

  • Select the B&R device and open up the Properties... dialog box.

Configuring the Platform Manager

Note: The name of the platform or B&R device depends on the version of the installed SDK. Use the platform that fits best with your B&R Windows CE device.
  • Select Microsoft ActiveSync as the transport method.
  • Select Microsoft ActiveSync as the startup server.

See also:

Platform Manager, TCP/IP transport, ActiveSync

<< Previous Topic
Platform manager

Start Page

Next Topic >>
TCP/IP transport


TCP/IP transport

General

Setting up a TCP/IP transport is the simplest way to communicate with a B&R Windows CE device.

Configuring the TCP/IP transport

Note!

The following requirements must be met before you start with this tutorial.

  1. Microsoft eMbedded Visual C++ 4.0 must be installed (the Platform Manager is installed with Visual C++ 4.0).
  2. A B&R Windows CE SDK must be installed.
  3. The Windows CE device and the desktop PC must be connected over Ethernet/LAN. Test whether the connection is valid with PING.
  • Open up Microsoft eMbedded Visual C++ 4.0.
  • Select the Tools > Configure Platform Manager... menu item.

The Configure Platform Manager menu item under the Tools menu in the eVC4

  • Select the B&R device and open up the Properties... dialog box.

Configuring the Platform Manager

Note: The name of the platform or B&R device depends on the version of the installed SDK. Use the platform that fits best with your B&R Windows CE device.
  • Select TCP/IP Transport for Windows CE as the transporter.
  • Select Manual Server as the startup server.

    Configuring the manual TCP/IP connection

Testing the TCP/IP transport

Use the Remote Zoom-in program to test the TCP/IP transport, This program can be used to take screenshots of the Windows CE target.

  • Open up Microsoft eMbedded Visual C++ 4.0.
  • Select Tools > Remote Zoomin.

  • Select the B&R device and click on OK.

The "Select a Windows CE device" dialog box in Remote Zoomin

Note: The name of the platform or B&R device depends on the version of the installed SDK. Use the platform that fits best with your B&R Windows CE device.

  • Open the Start > Run... dialog box on the Windows CE device.
  • Enter the text bordered in red (Manual server action window) into the Run... dialog box on the B&R Windows CE device.

Starting the communication

Note: If Remote Zoomin doesn't establish the connection automatically, then click on this icon [image].

Starting CEMGRC.EXE on the CE device

  • Confirm the Manual server action dialog box on the desktop PC.
  • Confirm the Run... dialog box on the Windows CE device.

    Remote Zoomin has successfully created a screenshot

  • After a short time, Remote Zoomin will display a snapshot of the CE device.

See also:

Requirements, ActiveSync transport, Platform manager

<< Previous Topic
ActiveSync transport

Start Page

Next Topic >>
ActiveSync


ActiveSync

General

With Microsoft ActiveSync, Microsoft provides a program that you can use to connect your desktop PC to a Windows CE device. For example, Microsoft ActiveSync allows you to copy files or synchronize directories. If Microsoft ActiveSync is used as the transport method for the connection manager (or platform manager), then you can also use the Microsoft ActiveSync connection to deploy and debug software.

One of the core functions of Microsoft ActiveSync is the seamless integration of the mobile device into the Windows user interface:

Accessing the mobile device directly from Windows Explorer

ActiveSync can be downloaded at no cost from Microsoft. The easiest way to find the program on the Microsoft homepage http://www.microsoft.com is to run a search for ActiveSync Download. Since Microsoft removed Wifi support from Microsoft ActiveSync 4.X, you should use Microsoft ActiveSync 3.8 if possible. However, be aware that Microsoft Visual Studio 2005 requires Microsoft ActiveSync 4.X (see Why doesn't the Ethernet connection work with ActiveSync 4.X anymore).

Important!

Microsoft ActiveSync causes problems if 2 LAN connections are active. If communication problems do occur, you should disable all unnecessary LAN connections.

ActiveSync causes problems when more than one LAN connection is active.

The following Microsoft ActiveSync connection types are available:
  • Serial
  • Ethernet

<< Previous Topic
TCP/IP transport

Start Page

Next Topic >>
Serial


Serial

General

An RS232 serial cable is needed in order to establish a serial ActiveSync connection between your CE device and your desktop PC. Different pin assignments are needed depending on the CE device being used.

Pin assignment on the Power Panel 100/200, APC620, and PPC700

9-PIN D-SUB FEMALE (Computer 1) |  | 9-PIN D-SUB FEMALE (Computer 2)
Name | Pin | Pin | Name
Receive Data | 2 | 3 | Transmit data
Transmit data | 3 | 2 | Receive Data
Data Terminal Ready | 4 | 6+1 | Data Set Ready + Data Carrier Detect
System Ground | 5 | 5 | System Ground
Data Set Ready + Carrier Detect | 6+1 | 4 | Data Terminal Ready
Request to Send | 7 | 8 | Clear to Send
Clear to Send | 8 | 7 | Request to Send

B&R offers the following RS232 DB9 null modem cable:

Null modem cable 9A0017.0x
Null modem cable 9A0017.0x

RS232 DB9 null modem cable | 9A0017.01 | 9A0017.02
Length | 0.6 meters | 1.8 meters

Mobile Panel 100/200 pin assignment

RS232 switching cabinet cable | 9 PIN D-SUB FEMALE
- | Pin | Name
Receive Data (Pink) | 3 | Transmit data
Transmit Data (Gray) | 2 | Receive Data
System Ground (White-Yellow) | 5 | System Ground
- | 6+1+4 | Data Set Ready + Data Carrier Detect + Data Terminal Ready
 | 7+8 | Clear to Send + Request to Send

Establishing an ActiveSync connection

  • Using the serial cable listed above, connect COM1 on your CE device with COM1 of your desktop PC. Then start the Microsoft ActiveSync program by double-clicking on the icon.

  • Now select Get Connected... from the File menu.

Establishing a connection to the CE device

  • Confirm the Get connected dialog box by clicking Next >.

Skip over this dialog box by clicking <B>Next ></B>.

  • ActiveSync will now try to find the CE device attached to your desktop PC.

Looking for the CE device

  • While ActiveSync is searching for the CE device, you must start the ActiveSync server Repllog.exe on the CE device. On its side, this program attempts to establish a connection with the desktop PC with ActiveSync. This program can be started very easily by using the Start > Programs > Accessories > ActiveSync Connection Default shortcut.

Note: If you are using B&R Windows CE V5.0 or higher, then you don't have to start the ActiveSync server Repllog.exe manually. The B&R Windows CE image detects an ActiveSync request and starts the server automatically.
  • Once the CE device has been found, ActiveSync asks if you want to establish a partnership. Select Yes and close the window with Next >.

Dialog box for setting up a partnership with the CE device

Note: It is not absolutely necessary to establish a partnership since there are no programs installed on the B&R CE device which absolutely need this function.
  • The next dialog box lets you define which components should be synchronized between your Windows CE device and your desktop PC.

  • If the connection has been established successfully, then Connected appears in the ActiveSync window.

Connected as a "guest" to your CE device

  • This icon in the system tray indicates an active ActiveSync connection on the CE device:

Tray icon for an active ActiveSync connection on the CE device

  • Double-clicking on the system tray icon opens up a window where the ActiveSync connection can be disabled.

CE dialog box for disconnecting the ActiveSync connection

  • Finally, you need to save the registry on the CE device. To do so, open up the Configuration manager with Start > Settings > Control Panel > Configuration manager and click on the Save settings button under the Save tab.

See also:

ActiveSync, ActiveSync transport, ActiveSync Ethernet

<< Previous Topic
ActiveSync

Start Page

Next Topic >>
Ethernet


Ethernet

General

A connection to the Windows CE device could be made over Ethernet until Version 3.8 of Microsoft ActiveSync. The following provides information about how to connect your B&R Windows CE device to your desktop PC using ActiveSync 3.8 and Ethernet.

Creating an ActiveSync connection with Ethernet

  • Make sure that you have Microsoft ActiveSync 3.8 installed on your desktop PC. Refer to the Why doesn't the Ethernet connection work with ActiveSync 4.X anymore? section.

  • Set up a partnership with your B&R Windows CE device. Refer to the section Establishing a connection with the CE device > ActiveSync > Serial.

  • Check whether your Ethernet connection works on the B&R Windows CE device. This is indicated with the following system tray icon:

  • Make sure that any active firewalls are configured correctly.

  • Then start the Start > Programs > Accessories > ActiveSync Connection Remote program on the B&R Windows CE device. If this shortcut is not present, you can enable the connection by entering repllog.exe /remote.

Starting the ActiveSync Ethernet connection from the Start menu

  • In the next window, select the computer (desktop PC) that you want to connect.

  • After the connection is set up successfully, this dialog box is displayed on the B&R Windows CE device:

Ethernet connection successful

See also:

ActiveSync, Establishing a connection with the CE device > ActiveSync > Serial, ActiveSync transport, Why doesn't the Ethernet connection work with ActiveSync 4.X anymore?

<< Previous Topic
Serial

Start Page

Next Topic >>
B&R-specific expansions


B&R Windows CE tools

B&R-specific expansions

In this section the following topics are discussed:

B&R-specific expansions

Libraries

Configuration files

Control Panel applets

Tools

<< Previous Topic
Ethernet

Start Page

Next Topic >>
Libraries


Libraries

In this section the following topics are discussed:

Libraries

Automation Device Interface

<< Previous Topic
B&R-specific expansions

Start Page

Next Topic >>
Automation Device Interface


Automation Device Interface

General

The B&R Automation Device Interface (ADI) is the interface to B&R devices like the Power Panel 100 or Automation PC 620. It can be used e.g. to set LEDs or to change brightness settings on B&R displays.

In order for the B&R Automation Device Interface to be used in your application, you first have to download the ADI Development Kit software package from the B&R homepage (http://www.br-automation.com). This package contains the necessary definition and help files.

See also:

Where do I find a description of ADI functions?

<< Previous Topic
Libraries

Start Page

Next Topic >>
Configuration files


Configuration files

In this section the following topics are discussed:

Configuration files

SETTINGS.REG

START.DAT

<< Previous Topic
Automation Device Interface

Start Page

Next Topic >>
SETTINGS.REG


SETTINGS.REG

General

The SETTINGS.REG ASCII file makes it possible for the user to modify the registry during the first boot. This allows e.g. the computer name to be defined during the initial boot.

Format

The format of the SETTINGS.REG file corresponds to all .REG files used in Windows 9x/NT/2000/XP. These files can be created manually with a text editor or with the export function of the Remote Registry Editor.

SETTINGS.REG file example:

REGEDIT4

[HKEY_LOCAL_MACHINE\Ident]
"Name"="Test"

Memory location

The SETTINGS.REG file must be saved to the root directory of the first primary partition on the CompactFlash card.

Execution

  • During booting, B&R Windows CE checks whether there is a file named SETTINGS.REG in the root directory of the primary partition on the CompactFlash card.
  • If SETTINGS.REG is found, then it is parsed and its registry keys are inserted into the registry.
  • After all keys have been inserted, the file is renamed SETTINGS.BAK.
  • If there is already a file named SETTINGS.BAK, it will be deleted and replaced with the new SETTINGS.BAK.
  • The device will reboot.

Features

  • String and DWORD values

    [HKEY_LOCAL_MACHINE\Comm\PCI\DP838151\Parms\TCPIP]
    "EnableDHCP"=dword:00000000
    "IPAdr"="172.33.22.22"

  • MULTI_SZ Werte

    [HKEY_LOCAL_MACHINE\Comm\PCI\DP838151\Parms\TCPIP]
    "WINS"=hex(7):\
    31,37,32,2e,34,33,2e,33,32,2e,34,31,00,31,37,32,2e,34,33,2e,33,32,2e,34,32,\
    00,00,00,00,00,00

  • Defaultkeys

    [HKEY_LOCAL_MACHINE\Software\Microsoft]
    @="A default value"

  • Registry keys without accompanying values

    [HKEY_LOCAL_MACHINE\Software\Microsoft]

    [HKEY_LOCAL_MACHINE\Software\Microsoft\Shell]

See also:

START.DAT

<< Previous Topic
Configuration files

Start Page

Next Topic >>
START.DAT


START.DAT

General

The START.DAT configuration file can be compared to the Autoexec.bat file in MS-DOS. It allows programs to be started and the image to be configured to your individual requirements when booting B&R Windows CE. START.DAT is usually used instead of Explorer to start your own applications.

Memory location

The START.DAT ASCII file must be located in the root directory of the first primary partition on the CompactFlash card (in the same directory as NK.BIN). It can only be found and executed by B&R Windows CE if located here.

Specifications

  • Individual commands are executed asynchronously.
  • START.DAT is an ASCII file.

See also:

SETTINGS.REG

<< Previous Topic
SETTINGS.REG

Start Page

Next Topic >>
Syntax


Syntax

Comments

Comments are introduced with a semicolon - ";".

;
; Shell
;
RUN="\Windows\Explorer.exe"

Keywords and their functions

The following rules generally apply to keywords:

  • All keywords must be written in capital letters.
  • An equals sign "=" always follows a keyword.
  • A space may not come between the keyword and the equals sign.
  • If paths to files in the Windows CE file system are specified, then the paths must always be included in quotation marks (exception: BINFILE).

START.DAT example

;
; NK.BIN
;
BINFILE=NK.BIN

;
; The system has a touch screen
;
TOUCHCAL=1

;
; Set storage memory
;
STORAGEMEMORY=10000

;
; Wait 5 seconds
;
WAIT=5000

;
; Register MyUnicode.ttf font
;
REGFONT="\HardDrive\MyUnicode.ttf"

;
; Copy a file
;
COPYFILE "\Hard Disk\logoqvga.bmp" "\Windows\MyLogo.bmp"

;
; Start application
;
RUN="\Windows\MyApp.exe"

<< Previous Topic
START.DAT

Start Page

Next Topic >>
Keywords


Keywords

In this section the following topics are discussed:

Keywords

WAIT

RUN

COPYFILE

REGFONT

TOUCHCAL

DEBUGCOMPORT

BINFILE

STORAGEMEMORY

<< Previous Topic
Syntax

Start Page

Next Topic >>
WAIT


WAIT

WAIT

Wait time in milliseconds between two keywords.

WAIT=Time

Parameters

Time
Time in milliseconds.

Remarks

;
; Wait 5 seconds
;
WAIT=5000

<< Previous Topic
Keywords

Start Page

Next Topic >>
RUN


RUN

RUN

Starts the specified application.

RUN="FileName"

Parameters

FileName:
Path and file name of the desired application. This parameter must be enclosed in quotes.

Remarks

;
; Shell
;
RUN="\Windows\Explorer.exe"

<< Previous Topic
WAIT

Start Page

Next Topic >>
COPYFILE


COPYFILE

COPYFILE

Copies a file to a certain directory.

COPYFILE="SourceFile" "DestinationFile"

Parameters

SourceFile
Name and path of the source file to be copied. This parameter must be enclosed in quotes.

DestinationFile
 Name and path of the destination file where the source file should be copied. This parameter must be enclosed in quotes.

Remarks

;
; Copy a file
;
COPYFILE "\Hard Disk\logoqvga.bmp" "\Windows\MyLogo.bmp"

<< Previous Topic
RUN

Start Page

Next Topic >>
REGFONT


REGFONT

REGFONT

Registers a font file with the system.

REGFONT="FileName"

Parameters

FileName:
Path and file name of the desired font. This parameter must be enclosed in quotes.

Remarks

;
; Font MyUnicode.ttf registrieren
;REGFONT="\HardDrive\MyUnicode.ttf"

<< Previous Topic
COPYFILE

Start Page

Next Topic >>
TOUCHCAL


TOUCHCAL

TOUCHCAL

Defines whether a device has a touch screen or not.

TOUCHCAL=Yes/No

Parameters

Yes/No
1 = The device has a touch screen. Touch calibration is started automatically during the first boot.
0 = The device doesn't have a touch screen.

Remarks

;
; Touch calibration
;
TOUCHCAL=1

<< Previous Topic
REGFONT

Start Page

Next Topic >>
DEBUGCOMPORT


DEBUGCOMPORT

DEBUGCOMPORT

Defines the serial interface used to output debugging information.

DEBUGCOMPORT=COMPORT

Parameters

COM Port
The number of the COM port. If 0, output is disabled.

<< Previous Topic
TOUCHCAL

Start Page

Next Topic >>
BINFILE


BINFILE

BINFILE

Defines the filename of the Windows CE image file.

BINFILE=NK.bin

Parameters

Always NK.bin.

Remarks

This keyword is reserved for use in later versions of B&R Windows CE.

;
; BIN Filename
;
BINFILE=NK.bin

<< Previous Topic
DEBUGCOMPORT

Start Page

Next Topic >>
STORAGEMEMORY


STORAGEMEMORY

STORAGEMEMORY

Defines the size of the storage memory.
STORAGEMEMORY=Size

Parameters

Size
Size of the storage memory in kilobytes.

Remarks

If this keyword is set, then the setting in the System Control Panel applet is overwritten.

<< Previous Topic
BINFILE

Start Page

Next Topic >>
Control Panel applets


Control Panel applets

In this section the following topics are discussed:

Control Panel applets

Screensaver

Control Center

Configuration Manager

Server

Touch screen

<< Previous Topic
STORAGEMEMORY

Start Page

Next Topic >>
Screensaver


Screensaver

General

The Screensaver applet in the Control Panel can be used to configure the screensaver on the B&R Windows CE device.

Enabling the screensaver

  • Select Start > Settings > Control Panel and double-click on the Screensaver icon.
  • Switch to the Configuration tab.
  • Select the Enable screensaver checkbox.
  • Define the idle time that must pass before the screensaver is started.
  • Select the desired screen saver in the Type drop-down box.
  • Close the dialog box by clicking OK.

The following screensavers are available:

  • Floating picture
  • Blank

<< Previous Topic
Control Panel applets

Start Page

Next Topic >>
Control Center


Control Center

General

The Control Center is the central location for configuring and displaying information pertaining to a B&R device.

In this section the following topics are discussed:

Control Center

APC620, PPC700

PP100/200, MP100/200

<< Previous Topic
Screensaver

Start Page

Next Topic >>
APC620, PPC700


B&R Control Center

The B&R Control Center can be used to change and display settings for B&R devices. The Control Center is started from the Control Panel and supports B&R Automation PC 620 and B&R Panel PC 700 devices. Depending on the device being used, the Control Center is shown with a suitable icon.

The Control Center in the Control Panel
The Control Center in the Control Panel

The following tabs can be selected:

  • Display
  • Keys
  • LEDs
  • Temperatures
  • Fans
  • Voltages
  • Statistics
  • User settings
  • Factory settings
  • Versions
  • Report

<< Previous Topic
Control Center

Start Page

Next Topic >>
Display


Display

This area allows you to change the display brightness of B&R panels, view the resolution being used, or change other display settings.

The "Display" tab in the Control Center
The "Display" tab in the Control Center

Changing the display brightness

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Display tab.
  3. Click on a panel in the Select panel list. Only connected panels are shown in the list.
  4. Move the sliding switch to the brightness level which the display should use.

Brightness can only be set in the range provided for the display. This means that the same change in percent will have different effects on different display types.

Notes:
Changes in these settings are displayed online but are only noted by the system and used during the next restart if the Control Center is closed with OK.

The configured brightness depends on the value configured in BIOS, i.e. until Windows is booted, the value set in BIOS is used. The value set in BIOS is only applied the first time the Control Center is opened.

Changing advanced display settings

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Display tab.
  3. Click on Settings. This opens the following dialog box:

The "Display settings" dialog box in the Control Center
The "Display settings" dialog box in the Control Center

You can change the display's SDL equalizer settings in this dialog box. The equalizer is integrated in the Automation Panel and adapts the DVI signal to various cable lengths. The equalizer value is automatically calculated based on the cable length: You may set a different equalizer value in order to obtain the best possible display quality (e.g. with low-quality cables or poor DVI signal quality).

Note: The equalizer value can only be changed if the function is supported by the panel (panel firmware version 1.04 or higher) and if MTCX PX32 version 1.54 or higher is installed. Otherwise, the dialog fields are disabled.

Changing the equalizer value

  1. Clear the Use automatic setting checkbox.
  2. Move the sliding switch to the equalizer value that the display should use.
  3. Exit the dialog box by clicking OK.

Advanced display settings

Special display settings can be made by clicking on Advanced.

The "Advanced display settings" dialog box in the Control Center
The "Advanced display settings" dialog box in the Control Center

Changing the display angle

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Select the Display tab and click on Advanced.
  3. Select the desired display angle in the Advanced display settings dialog box under Screen rotation in the Rotation angle listbox. You can select either 0, 90, 180, or 270 degrees.
  4. Click on OK.

Warning:The selected display angle is set immediately after the dialog box is closed with OK. Because the view is changed, mouse operation may prove to be difficult afterward. Furthermore, if the display angle is changed, the Touch Screen calibration is started automatically. The new calibration can be switched off by deselecting the Calibrate Touch Screen after change option.

If the display driver being used doesn't support a change in the display angle, "Not Supported" is displayed in the Rotation Angle box and making a selection is not possible.

Enabling/Disabling font smoothing

  1. Select Start > Settings > Control Panel and double-click on the B&R Control Center icon.
  2. Select the Display tab and click on Advanced.
  3. Select or deselect the Enable anti-aliased fonts control box.
  4. Click on OK.

Note: If font smoothing is changed, the computer must be rebooted before the change takes effect. A dialog box will appear when you shut down the B&R Control Center requesting you to do just that.

Hiding/Showing the mouse pointer

  1. Select Start > Settings > Control Panel and double-click on the B&R Control Center icon.
  2. Select the Display tab and click on Advanced.
  3. Select or deselect the Hide cursor box.
  4. Click on OK.

Note: If the mouse pointer is changed, the computer needs to be restarted for the changes to take effect (only for B&R Windows CE versions older than V5.0). A dialog box will appear when you shut down the B&R Control Center requesting you to do just that.

Enabling clone mode

  • Select Start > Settings > Control Panel and double-click on the B&R Control Center icon.
  • Select the Display tab and click on Advanced.
  • Select or deselect the Clone mode checkbox.
  • Click on OK.

Note: Make sure that the Primary graphic engine setting in BIOS is set to Graphic engine 2.

Requirements

APC620, PPC700: B&R Windows CE V1.0 or higher

<< Previous Topic
APC620, PPC700

Start Page

Next Topic >>
Keys


Keys

Configures and tests device-specific keys on B&R panels.

Note: Dialog fields are only enabled if the selected panel supports keys.

The "Keys" tab in the Control Center
The "Keys" tab in the Control Center

The key configuration contains the key codes for device-specific keys, the mode for switching between key layers, and key switch definition. The key configuration can be created with the B&R Key Editor (KCF file) and updated and saved here. Version and Status of the key configuration are displayed. Keys can be operated in up to four layers. The active layer can be changed here.

Updating the key configuration

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. On the Keys tab under Key configuration, click on Update. This opens the "Open" dialog box.
  3. Enter the name of the key configuration file or select a file under Name.
  4. Click on Open. This opens the "Download" dialog box.

The "Download" dialog box in the Control Center
The "Download" dialog box in the Control Center

The transfer can be aborted by clicking on Cancel in the Download dialog box. Cancel is disabled when writing to flash memory takes place.

IMPORTANT: Do not press any panel keys while transferring the key configuration! This can disrupt the procedure.

Deleting the data in flash memory can take several seconds depending on the memory block being used. The progress indicator is not updated during this time.

Note: The system must be restarted if MTCX PX32 firmware version 1.21 or lower is installed for the settings to take effect and the updated version to be displayed. When you exit the Control Center, a dialog box appears requesting you to do so.

Saving the installed key configuration

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. On the Keys tab under Key configuration, click on Save. This opens the "Save as..." dialog box.
  3. Enter the name of the key configuration file or select a file under Name.
  4. Click on Save. This opens the "Upload" dialog box.

The transfer can be aborted by clicking on Cancel in the Upload dialog box.

IMPORTANT: Do not press any panel keys while transferring the key configuration! This can disrupt the procedure.

Changing the active key layer

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. On the Keys tab under Key Layer, enter a layer number (Number) between 1 and 4 and click on Apply. The current layer number will be displayed to the right of where the number is entered.

Note: The key layer is reset to 1 when the system is restarted.

Changing advanced panel settings

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Keys tab.
  3. Click on a panel in the Select panel list. Only connected panels are shown in the list.
  4. Click on Advanced under Panel.

The "Advanced panel settings" dialog box in the Control Center
The "Advanced panel settings" dialog box in the Control Center

Panel locking time can be used to specify the time that the panels are locked if information is being entered on another panel.

Note: The panel locking time is reset to the value configured in the key configuration when the system is restarted or when updating the key configuration.

If you select the Disable key codes option, no key codes are sent to the system for the keys of the selected panel. The status of the keys can still be read, however. If you enable Manual panel lock, the selected panel is locked regardless. The system then no longer evaluates key or touch screen input, and key states can no longer be read.

Note: Key codes and the panel are freed back up after the system is restarted.

Displaying the state of device-specific panel keys

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Keys tab.
  3. Click on a panel in the Select panel list. Only connected panels are shown in the list. The Key switches and Key matrix fields are disabled if the panel doesn't support keys.
  4. Panel lock specifies whether the panel is locked (entering information using the keys or touch screen is then impossible). Key switches shows the status of the optional key switches.
  5. Click on Show under Key matrix to display the key states.

The "Key matrix" dialog box in the Control Center
The "Key matrix" dialog box in the Control Center

Pressed keys are indicated by a "1"; unpressed keys are indicated by a "0". First key pressed shows the number of the first key pressed in the matrix. The display is automatically updated when a key is pressed.

Notes:
 The key codes don't have to be configured for key matrix display. Evaluating keys that have already been configured is disabled while the key matrix is displayed so that the keys can be pressed without Windows having to respond. MTCX PX32 firmware version 1.21 or higher is necessary for this.

 Key switches need MTCX PX32 firmware version 1.59 or higher and a key configuration that has been created with B&R Key Editor version 2.50 or higher.

Requirements

APC620, PPC700: B&R Windows CE V1.0 or higher

<< Previous Topic
Display

Start Page

Next Topic >>
LEDs


LEDs

Tests device-specific LEDs on B&R panels.

Note: Dialog fields are only enabled if the selected panel supports LEDs.

The "LEDs" tab in the Control Center
The "LEDs" tab in the Control Center

LEDs can be switched between four layers (see also Key layer on the Keys tab).

Displaying the status of an individual LED

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the LEDs tab.
  3. Click on a panel in the Select panel list. Only connected panels are shown in the list.
  4. Clear the checkbox Set all LEDs.
  5. Enter an LED number number between 0 and 127. Changing the number will display the current LED state.
  6. Enter a number between 1 and 4 for the layer where the LED should be set. Changing the number will display the current LED state.

Setting an individual LED

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the LEDs tab.
  3. Click on a panel in the Select panel list. Only connected panels are shown in the list.
  4. Clear the checkbox Set all LEDs.
  5. Enter an LED number number between 0 and 127.
  6. Enter a number between 1 and 4 for the layer where the LED should be set.
  7. Enable the Automatic layer change option so that the LED state is indicated immediately after being changed whenever the entered layer is not the same as the active layer.
  8. Click on the LED state Off, Slow blinking, Fast blinking, or On to set the LED.

Setting all LEDs

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the LEDs tab.
  3. Click on a panel in the Select panel list. Only connected panels are shown in the list.
  4. Enable the checkbox Set all LEDs.
  5. Click on the LED state Off, Slow blinking, Fast blinking, or On to set the LEDs.

Switching all LEDs through automatically

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the LEDs tab.
  3. Click on a panel in the Select panel list. Only connected panels are shown in the list.
  4. Enable the Set all LEDs checkbox or enter an LED number between 0 and 127 and a number between 1 and 4 for the layer of the first LED that should be set.
  5. Click on Start to start the automatic LED test. The test begins with the specified LED number and layer and ends when LED number 127 is reached. Each LED is lit for half a second.
  6. Click on Stop to stop the automatic LED test.

Note: LEDs are turned off again after the system is restarted.

Requirements

APC620, PPC700: B&R Windows CE V1.0 or higher

<< Previous Topic
Keys

Start Page

Next Topic >>
Temperatures


Temperatures

Displays B&R device and panel temperature values. The displayed values are updated automatically.

The "Temperatures" tab in the Control Center
The "Temperatures" tab in the Control Center

Displaying device temperature values

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Select the Temperatures tab.

Note: The CPU temperature is read using WMI (Windows Management Instrumentation) if ACPI (Advanced Configuration and Power Interface) is enabled in BIOS. Temperature changes less than 4°C are not reported via ACPI. If ACPI is disabled, the CPU temperature is read directly from the hardware monitor block.

Displaying a panel's temperature value

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Select the Temperatures tab.
  3. Click on a panel in the Select panel list. Only connected panels are shown in the list. The temperature field is disabled if the panel doesn't support temperature values.

Requirements

APC620, PPC700: B&R Windows CE V1.0 or higher

<< Previous Topic
LEDs

Start Page

Next Topic >>
Fans


Fans

Displays fan speeds for the B&R device. The displayed values are updated automatically.

The "Fans" tab in the Control Center
The "Fans" tab in the Control Center

Displaying fan speeds

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Fans tab.

Requirements

APC620, PPC700: B&R Windows CE V1.0 or higher

<< Previous Topic
Temperatures

Start Page

Next Topic >>
Voltages


Voltages

Displays voltage values for the B&R device. The displayed values are updated automatically.

The "Voltages" tab in the Control Center
The "Voltages" tab in the Control Center

Displaying device voltage values

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Voltages tab.

Requirements

APC620, PPC700: B&R Windows CE V1.0 or higher

<< Previous Topic
Fans

Start Page

Next Topic >>
Statistics


Statistics

Displays B&R device and panel statistics. The displayed values are updated automatically.

The "Statistics" tab in the Control Center
The "Statistics" tab in the Control Center

Displaying device statistics

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Statistics tab.

Displaying a panel's statistics

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Statistics tab.
  3. Click on a panel in the Select panel list. Only connected panels are shown in the list. Statistic fields are disabled if the panel doesn't support statistics.

Requirements

APC620, PPC700: B&R Windows CE V1.0 or higher

<< Previous Topic
Voltages

Start Page

Next Topic >>
User settings


User settings

User-specific settings can be made here. On an Automation PC 620 and Panel PC 700, only the user serial ID is supported. You can use this ID to designate the B&R device with your own identification number.

The "User settings" tab in the Control Center
The "User settings" tab in the Control Center

Specifying a user serial ID

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the User Settings tab.
  3. Enter a user serial ID between 0 and FFFFFFFF in hexadecimal.

Note: The system must be restarted before the new user serial ID can take effect. When you exit the Control Center, a dialog box appears requesting you to do so.

Requirements

APC620, PPC700: B&R Windows CE V1.0 or higher

<< Previous Topic
Statistics

Start Page

Next Topic >>
Factory settings


Factory settings

This area displays the factory settings programmed on the device or panel by B&R. This includes the device type, hardware revision, serial number, etc.

The "Factory settings" tab in the Control Center
The "Factory settings" tab in the Control Center

Displaying baseboard factory settings

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Factory Settings tab.
  3. Clear the Select panel checkbox.

Displaying a panel's factory settings

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Factory Settings tab.
  3. Enable the Select panel checkbox and click on a panel in the list. Only connected panels are shown in the list. Factory setting fields are disabled if the panel doesn't support statistics.

Requirements

APC620, PPC700: B&R Windows CE V1.0 or higher

<< Previous Topic
User settings

Start Page

Next Topic >>
Versions


Versions

Displays the version of the Control Center and firmware installed on the B&R device or panel. You can also update and save the baseboard and panel firmware here.

The "Versions" tab in the Control Center
The "Versions" tab in the Control Center

Displaying firmware versions

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Versions tab.

Showing version information from the Control Center

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Versions tab.
  3. Click on Info. This opens a dialog box that displays the version of the Control Center and installed ADI modules.

The "Info" dialog box in the Control Center
The "Info" dialog box in the Control Center

Updating baseboard firmware

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Versions tab.
  3. Click on Update under Baseboard for MTCX FPGA, MTCX PX32 , or SDLT. This opens the "Open" dialog box. The SDLT update button is disabled if the PC doesn't have an SDL transmitter.
  4. Enter the name of the firmware file or select a file under Name.
  5. Click on Open. This opens the "Download" dialog box.

The transfer can be aborted by clicking on Cancel in the Download dialog box. Cancel is disabled when writing to flash memory takes place.

IMPORTANT: If the transfer has been cancelled, then the procedure must be repeated until the firmware has been updated successfully. Otherwise, the PC won't work anymore after being turned on and must be sent to B&R!

Deleting the data in flash memory can take several seconds depending on the memory block being used. The progress indicator is not updated during this time.

IMPORTANT: Do not press any panel keys while transferring the firmware! This can disrupt the procedure.

The current firmware is present on the B&R APC620 / PPC700 Firmware Upgrade Disk and can be updated from there. This disk can be downloaded from the B&R homepage (http://www.br-automation.com).

Notes:
 Power to the PC must be shut off and turned back on for the new firmware to become effective and for the updated version to be displayed. When you exit the Control Center, a dialog box appears requesting you to do so.

The format of the firmware was changed in ADI version 1.20. Firmware still using the old format cannot be used for updating.

Updating panel firmware

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Versions tab.
  3. Click on a panel in the Select panel list. Only connected panels are shown in the list.
  4. Click on Update under Panel for SDLR . This opens the "Open" dialog box. The SDLR update button is disabled if the panel doesn't have an SDL receiver/transceiver.
  5. Enter the name of the firmware file or select a file under Name.
  6. Click on Open. This opens the "Download" dialog box.

The transfer can be aborted by clicking on Cancel in the Download dialog box. Cancel is disabled when writing to flash memory takes place.

IMPORTANT: If the transfer has been cancelled, then the procedure must be repeated until the firmware has been updated successfully. Otherwise, the panel won't work anymore after being turned on and must be sent to B&R!

Deleting the data in flash memory can take several seconds depending on the memory block being used. The progress indicator is not updated during this time.

The current firmware is present on the B&R APC620 / PPC700 Firmware Upgrade Disk and can be updated from there. This disk can be downloaded from the B&R homepage (http://www.br-automation.com).

Notes:
 Only a certain firmware version may be used for updating depending on the revision of the connected panel. If there is a version conflict, the Control Center will display an appropriate message.

Power to the panel must be shut off and turned back on for the new firmware to become effective and for the updated version to be displayed. When you exit the Control Center, a dialog box appears requesting you to do so.

The format of the firmware was changed in ADI version 1.20. Firmware still using the old format cannot be used for updating.

Saving baseboard firmware

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Versions tab.
  3. Click on Save under Baseboard for MTCX FPGA, MTCX PX32 , or SDLT. This opens a "Save as" dialog box. The SDLT save button is disabled if the PC doesn't have an SDL transmitter.
  4. Enter the name of the firmware file or select a file under Name.
  5. Click on Save. This opens the "Upload" dialog box.

The transfer can be aborted by clicking on Cancel in the Upload dialog box.

IMPORTANT: Do not press any panel keys while transferring the firmware! This can disrupt the procedure.

Firmware can also be saved using the B&R APC620 / PPC700 Firmware Upgrade Disk. This disk can be downloaded from the B&R homepage (http://www.br-automation.com).

Note: The format of the firmware was changed in ADI version 1.20. Firmware in the old format cannot be saved.

Saving panel firmware

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Versions tab.
  3. Click on a panel in the Select panel list. Only connected panels are shown in the list.
  4. Click on Save under Panel for SDLR . The SDLR save button is disabled if the panel doesn't have an SDL receiver/transceiver.
  5. Enter the name of the firmware file or select a file under Name.
  6. Click on Save. This opens the "Upload" dialog box.

The transfer can be aborted by clicking on Cancel in the Upload dialog box.

Firmware can also be saved using the B&R APC620 / PPC700 Firmware Upgrade Disk. This disk can be downloaded from the B&R homepage (http://www.br-automation.com).

Note: The format of the firmware was changed in ADI version 1.20. Firmware in the old format cannot be saved.

Requirements

APC620, PPC700: B&R Windows CE V1.0 or higher

<< Previous Topic
Factory settings

Start Page

Next Topic >>
Report


Report

This area allows you to create a report containing device-specific information. This report can be used by B&R Support.

The "Report" tab in the Control Center
The "Report" tab in the Control Center

Creating a report

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Report tab.
  3. Set the report options: Click on Set all or Clear all to set or clear all options.
  4. Click on Show report to create and display the report. This opens a new dialog box.

You can edit, copy, or paste the report in this dialog box or save it to a file.

The "Report" dialog box in the Control Center
The "Report" dialog box in the Control Center

Saving the report

  1. Click on Save as.... This opens a "Save as" dialog box.
  2. Enter the name of a text file or select a file under File name.
  3. Click on Save.

Requirements

APC620, PPC700: B&R Windows CE V1.0 or higher

<< Previous Topic
Versions

Start Page

Next Topic >>
PP100/200, MP100/200


B&R Control Center

The B&R Control Center can be used to change and display settings for B&R devices. The Control Center is started from the Control Panel and supports B&R Power Panel 100/200 and B&R Mobile Panel 100/200 devices. Depending on the device being used, the Control Center is shown with a suitable icon.

The Control Center in the Control Panel
The Control Center in the Control Panel

The following tabs can be selected:

  • Display
  • Keys
  • LEDs
  • Switches
  • aPCI
  • Temperatures
  • User settings
  • Factory settings
  • Versions
  • Report

Requirements

PP100/200, MP100/200: B&R Windows CE 5.0 or higher

<< Previous Topic
Report

Start Page

Next Topic >>
Display


Display

This tab allows you to set the brightness and contrast for the display online.

The "Display" tab in the Control Center
The "Display" tab in the Control Center

Contrast settings can only be configured with passive displays. Changing contrast has no effect on active displays (TFT). Depending on the type of display being used, the input field for contrast may be locked.

Brightness and contrast can only be set in the range provided for the display. This means that the same change in percent will have different effects on different display types.

Notes:
The percent values for brightness and contrast are incremented depending on the actual possible range of the display (see all Factory settings). In other words, the percent values 16, 17, and 18 may result in the same physical value being written to the display, resulting in the same brightness or contrast setting.

Changes in these settings are displayed online but are only noted by the system and used during the next restart if the B&R Control Center is closed with OK.

The values set here depend on the values set in the BIOS setup, i.e. values from BIOS are used until Windows boots (See BIOS Setup Menu Motherboard Device Configuration > Video and Flat Panel Configuration). The values set in BIOS are only applied the first time the Control Center is opened.

Changing brightness

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Switch to the Display tab and disable the Auto option under Brightness.
  3. Move the sliding switch to the brightness level which the display should use.

Resetting brightness to the factory setting

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Switch to the Display tab and enable the Auto option under Brightness.

Changing contrast

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Switch to the Display tab and disable the Auto option under Contrast.
  3. Move the sliding switch to the contrast level which the display should use.

Resetting contrast to the factory setting

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Switch to the Display tab and enable the Auto option under Contrast.

Advanced display settings

Special display settings can be made by clicking on Advanced.

The "Advanced display settings" dialog box in the B&R Control Center
The "Advanced display settings" dialog box in the B&R Control Center

Changing the display angle

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Select the Display tab and click on Advanced.
  3. Select the desired display angle in the Advanced display settings dialog box under Screen rotation in the Rotation angle listbox. You can select either 0, 90, 180, or 270 degrees.
  4. Click on OK.

WARNING: The selected display angle is set immediately after the dialog box is closed with OK. Because the view is changed, mouse operation may prove to be difficult afterward. Furthermore, if the display angle is changed, the Touch Screen calibration is started automatically. The new calibration can be switched off by deselecting the Calibrate Touch Screen after change option.

If the display driver being used doesn't support a change in the display angle, "Not Supported" is displayed in the Rotation Angle box and making a selection is not possible.

Enabling/Disabling font smoothing

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Select the Display tab and click on Advanced.
  3. Select or deselect the Enable anti-aliased fonts control box.
  4. Click on OK.

Note: If font smoothing is changed, the computer must be rebooted before the change takes effect. A dialog box will appear when you shut down the Control Center requesting you to do just that.

Hiding/Showing the mouse pointer

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Select the Display tab and click on Advanced.
  3. Select or deselect the Hide cursor box.
  4. Click on OK.

Note: If the mouse pointer is changed, the computer needs to be restarted for the changes to take effect (only for B&R Windows CE versions older than V5.0). A dialog box will appear when you shut down the Control Center requesting you to do just that.

Requirements

PP100/200, MP100/200: B&R Windows CE 5.0 or higher

<< Previous Topic
PP100/200, MP100/200

Start Page

Next Topic >>
Keys


Keys

Device-specific keys can be configured and tested here.

Note: This tab is only displayed if the device supports keys or LEDs. In other words, a matrix controller (MXC) needs to be present.

The "Keys" tab in the Control Center
The "Keys" tab in the Control Center

The key configuration contains the key codes for device-specific keys, the mode for switching between key layers, and key switch definition. The key configuration can be created with the B&R Key Editor (KCF file) and updated and saved here. Keys can be operated in up to four layers. The active key layer can be changed here.

Displaying key configuration information

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Keys tab.
  3. Click on Info for Key configuration. This displays a message with the version, creation date, and user info for the key configuration.

Updating the key configuration

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. On the Keys tab under Key configuration, click on Update. This opens the "Open" dialog box.
  3. Enter the name of the key configuration file or select a file under Name.
  4. Click on OK. This opens the "Download" dialog box.

The "Download" dialog box in the Control Center
The "Download" dialog box in the Control Center

The transfer can be aborted by clicking on Cancel in the Transfer dialog box. Cancel is disabled when writing to flash memory takes place.

Deleting the data in flash memory can take several seconds depending on the memory block being used. The progress indicator is not updated during this time.

Note: The new key configuration takes effect immediately after updating the system.

Saving the installed key configuration

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. On the Keys tab under Key configuration, click on Save. This opens a "Save as" dialog box.
  3. Enter the name of the key configuration file or select a file under Name.
  4. Click on OK. This opens the "Upload" dialog box.

    The "Upload" dialog box in the Control Center
    The "Upload" dialog box in the Control Center

The transfer can be aborted by clicking on Cancel in the Upload dialog box.

Locking/Unlocking key codes

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Keys tab.
  3. Clear or enable the Disable key codes option.

If you select the Disable key codes option, no key codes are sent to the system for the keys of the selected panel. The status of the keys can still be read, however.

Note: Key codes are enabled again after the system is restarted.

Changing the active key layer

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. On the Keys tab under Key Layer, enter a layer number (Number) between 1 and 4 and click on Apply. The current layer number will be displayed to the right of where the number is entered.

Note: The key layer is reset to 1 when the system is restarted.

Displaying the state of device-specific keys

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Keys tab.
  3. Click on Show under Key matrix to display the key states.

The "Key matrix" dialog box in the Control Center
The "Key matrix" dialog box in the Control Center

Pressed keys are indicated by a "1"; unpressed keys are indicated by a "0". First pressed key shows the number of the first key pressed in the matrix. The display is automatically updated when a key is pressed.

Note: The key codes don't have to be configured for key matrix display. Evaluating keys that have already been configured is disabled while the key matrix is displayed so that the keys can be pressed without Windows having to respond.

Requirements

PP100/200, MP100/200: B&R Windows CE 5.0 or higher

<< Previous Topic
Display

Start Page

Next Topic >>
LEDs


LEDs

Device-specific LEDs can be tested here.

Note: This tab is only displayed if the device has keys or LEDs. In other words, a matrix controller (MXC) needs to be present.

The "LEDs" tab in the Control Center
The "LEDs" tab in the Control Center

LEDs can be switched between four layers (see also Key layer on the Keys tab).

Displaying the status of an individual LED

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the LEDs tab.
  3. Clear the checkbox Set all LEDs.
  4. Enter an LED number (Number) between 0 and 127. Changing the number will display the current LED state.
  5. Enter a number between 1 and 4 for the layer where the LED should be set. Changing the number will display the current LED state.

Setting an individual LED

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the LEDs tab.
  3. Clear the checkbox Set all LEDs.
  4. Enter an LED number (Number) between 0 and 127.
  5. Enter a number between 1 and 4 for the layer where the LED should be set.
  6. Enable the Automatic layer change option so that the LED state is indicated immediately after being changed whenever the entered layer is not the same as the active layer.
  7. Click on the LED state Off, Slow blinking, Fast blinking, or On to set the LED.

Setting all LEDs

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the LEDs tab.
  3. Enable the checkbox Set all LEDs.
  4. Click on the LED state Off, Slow blinking, Fast blinking, or On to set the LEDs.

Note: LEDs are turned off again after the system is restarted.

Requirements

PP100/200, MP100/200: B&R Windows CE 5.0 or higher

<< Previous Topic
Keys

Start Page

Next Topic >>
Switches


Switches

The switch settings for the B&R device are shown here.

The "Switches" tab in the Control Center
The "Switches" tab in the Control Center

Displaying device switch settings

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Switches tab.

This tab shows information about the Mode / Node switches. The display is updated automatically when changing the switch position.

Note: The mode/node switches are located on the back of Power Panel devices and inside Mobile Panel devices.

Requirements

PP100/200, MP100/200: B&R Windows CE 5.0 or higher

<< Previous Topic
LEDs

Start Page

Next Topic >>
aPCI


aPCI

This area contains information about aPCI modules integrated in the B&R device as well as the firmware installed for them. The firmware can be updated and saved here.

Note: aPCI modules can only be connected to certain B&R Power Panel devices. This tab is only displayed on Power Panel devices.

The "aPCI" tab in the Control Center
The "aPCI" tab in the Control Center

Note: The Model no. of Slot 1 is displayed correctly beginning with Windows CE 5.0 version 5.1 (with bootloader version 2.3).

Some aPCI modules have to be programmed by BIOS with suitable firmware before they are recognized as "normal" PCI devices. To this end, this suitable firmware must have been burned into the B&R Power Panel's flash memory.

Displaying aPCI firmware information

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the aPCI tab.
  3. Click on Firmware for Slot 1 or Slot 2. This opens the "Firmware" dialog box.

The following data about the Firmware is displayed: brief Info (by default, this is the module code, date and version), the Status of the boot procedure and additional data from the header of the burned FPGA file under Extended Info. If there is no firmware in flash memory, "None" is shown under Info.

Updating aPCI firmware

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the aPCI tab.
  3. Click on Update for Slot 1 or Slot 2. This opens the "Open" dialog box.
  4. Enter the name of the firmware file or select a file under Name. The type of selectable files are preset with the device ID of the aPCI module.
  5. Click on OK. This opens the "Download" dialog box.

The transfer can be aborted by clicking on Cancel in the Download dialog box. Cancel is disabled when writing to flash memory takes place.

IMPORTANT: If the transfer has been cancelled, then the procedure must be repeated until the firmware has been updated successfully. Otherwise, the aPCI module will no longer be recognized as a PCI device after the system is restarted!

Deleting the data in flash memory can take several seconds depending on the memory block being used. The progress indicator is not updated during this time.

Contact B&R for current firmware files. The firmware can also be updated from the B&R Power Panel 100/200 aPCI Firmware Upgrade Disk. This disk can be downloaded from the B&R homepage (http://www.br-automation.com).

Note:
The system must be restarted for the firmware to take effect and for the updated version to be displayed. When you exit the Control Center, a dialog box appears requesting you to do so.

The format of the firmware was changed in BIOS version 1.04. Firmware in the old format cannot be updated with the Control Center. Use the B&R Power Panel 100/200 aPCI Firmware Upgrade Disk for this.

Saving aPCI firmware

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the aPCI tab.
  3. Click on Save for Slot 1 or Slot 2. This opens a "Save as" dialog box.
  4. Enter the name of the firmware file or select a file under Name. Name is preset with the device ID and variant number of the installed firmware.
  5. Click on OK. This opens the "Upload" dialog box.

The transfer can be aborted by clicking on Cancel in the Upload dialog box.

The firmware can also be saved from the B&R Power Panel 100/200 aPCI Firmware Upgrade Disk. This disk can be downloaded from the B&R homepage (http://www.br-automation.com).

Note: The format of the firmware was changed in BIOS version 1.04. Firmware in the old format cannot be saved with the Control Center. Use the B&R Power Panel 100/200 aPCI Firmware Upgrade Disk for this.

Requirements

PP100/200, MP100/200: B&R Windows CE 5.0 or higher

<< Previous Topic
Switches

Start Page

Next Topic >>
Temperatures


Temperatures

The temperature values of the B&R device are shown here.

The "Temperatures" tab in the Control Center
The "Temperatures" tab in the Control Center

Displaying device temperature values

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Select the Temperatures tab.

The temperature of the CPU is displayed next to CPU Internal. The temperature of the motherboard is displayed under Board I/O. The displayed values are updated automatically.

Requirements

PP100/200, MP100/200: B&R Windows CE 5.0 or higher

<< Previous Topic
aPCI

Start Page

Next Topic >>
User settings


User settings

This area allows you to make and view user-specific settings such as installing a user boot logo, displaying the user serial ID, and testing user LEDs.

The "User settings" tab in the Control Center<font size= " width="327" height="233">
The "User settings" tab in the Control Center

As an alternative to the integrated B&R boot logo, a bitmap (.BMP file) created by the user can be displayed as the boot logo. This must be converted to a ROM file with the USERLOGO.EXE application on the B&R User Boot Logo Disk and burned to the device's flash memory using the Control Center. The B&R User Boot Logo Disk can be downloaded from the B&R homepage (http://www.br-automation.com).

Viewing information about the user boot logo

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the User Settings tab.

The following data about the user boot logo is displayed: Brief info (name, date/time) and resolution of the bitmap being used. If there is no user boot logo in flash memory, "None" is shown under Info.

Updating the user boot logo

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the User Settings tab.
  3. Click on Update under User boot logo. This opens the "Open" dialog box.
  4. Enter the name of the user boot logo ROM file under Name or select a file.
  5. Click on OK. This opens the "Download" dialog box.

The transfer can be aborted by clicking on Cancel in the Download dialog box. Cancel is disabled when writing to flash memory takes place.

Deleting the data in flash memory can take several seconds depending on the memory block being used. The progress indicator is not updated during this time.

The user boot logo can also be updated from the B&R User Boot Logo Disk. This disk can be downloaded from the B&R homepage (http://www.br-automation.com).

Note:
The system must be restarted for the new logo to take effect. When you exit the Control Center, a dialog box appears requesting you to do so.

Displaying the boot logo must be enabled in the BIOS setup.

Saving the user boot logo

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the User Settings tab.
  3. Click on Save under User boot logo. This opens a "Save as" dialog box.
  4. Enter the name of the user boot logo ROM file under Name or select a file. Name is filled with the user boot logo default filename "userlogo.rom".
  5. Click on OK. This opens the "Upload" dialog box.

The transfer can be aborted by clicking on Cancel in the Upload dialog box.

The saved file can be converted back to a bitmap (.BMP file) using the USERLOGO.EXE application on the B&R User Boot Logo Disk.

The user boot logo can also be saved from the B&R User Boot Logo Disk. This disk can be downloaded from the B&R homepage (http://www.br-automation.com).

Displaying the user serial ID

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the User Settings tab.

A user serial ID is supported on PP100/200 and MP100/200 devices. You can use this ID to designate the B&R device with your own identification number.

Note: The user serial ID can only be entered from the BIOS setup.

Turning the user LED on or off

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Enable or disable the User LED option under the User settings tab.

Note: The user LED is turned off again after the system is restarted.

Note: The user LED is located on the back of Power Panel devices and inside Mobile Panel devices.

Requirements

PP100/200, MP100/200: B&R Windows CE 5.0 or higher

<< Previous Topic
Temperatures

Start Page

Next Topic >>
Factory settings


Factory settings

This is where factory settings programmed by B&R on the device are displayed. Among other items, this tab includes the device type, display type, as well as the limit values for brightness and contrast.

The "Factory" tab in the Control Center
The "Factory" tab in the Control Center

Displaying factory settings

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Factory Settings tab.

The following factory settings are displayed:

Parameter | Value (example) | Description
Version | 03 | Version of factory settings
Device ID | 1697 | Device ID.
Compatibility ID | 00 | The compatibility ID is used to detect hardware changes relevant to device-specific software.
Display ID | 30 | Identifies the display. BIOS uses this ID to initialize the display with the appropriate display parameters.
Brightness | D5 EA FF | Minimum, default, and maximum values for the brightness settings on the display being used.
Contrast | 00 46 FF | Minimum, default, and maximum values for the contrast settings on the display being used.
Model number |  | Model number of the device (available beginning with version 6 of the factory settings).

Requirements

PP100/200, MP100/200: B&R Windows CE 5.0 or higher

<< Previous Topic
User settings

Start Page

Next Topic >>
Versions


Versions

This is where you can get information about the versions of the installed BIOS, the system management controller (SMC, if available), matrix controller (MXC), the firmware of the onboard FPGA function blocks, and the Control Center itself. You can also update and save the BIOS and FPGA firmware.

The "Versions" tab in the Control Center
The "Versions" tab in the Control Center

The firmware needed depends on the device type. Certain device types have one or two onboard FPGA components which have to be programmed by BIOS so that the device functions properly (e.g. display control). Suitable firmware must have been burned to the device's flash memory.

Displaying BIOS, SMC, and MXC versions

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Versions tab.

If a system management controller (SMC), the matrix controller (MXC), or the MXC is not present, then "None" is given as the version.

Updating BIOS

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Versions tab.
  3. Click on Update under BIOS. This opens the "Open" dialog box.
  4. Enter the name of the BIOS ROM file or select a file under Name.
  5. Click on OK. This opens the "Download" dialog box.

The transfer can be aborted by clicking on Cancel in the Download dialog box. Cancel is disabled when writing to flash memory takes place.

IMPORTANT: If the transfer has been cancelled, then the procedure must be repeated until the BIOS has been updated successfully. Otherwise, the PC won't work anymore after being restarted and must be sent to B&R!

Deleting the data in flash memory can take several seconds depending on the memory block being used. The progress indicator is not updated during this time.

The current BIOS is included on the B&R Power Panel (or Mobile Panel) 100/200 BIOS Upgrade Disk and can be updated from there. This disk can be downloaded from the B&R homepage (http://www.br-automation.com).

Note:
The system must be restarted for the BIOS to take effect and for the updated version to be displayed. When you exit the Control Center, a dialog box appears requesting you to do so.

BIOS versions lower than 1.04 cannot be used to update.

Saving BIOS

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Versions tab.
  3. Click on Save under BIOS. This opens a "Save as" dialog box.
  4. Enter the name of the BIOS ROM file or select a file under Name. Name is preset with the BIOS default filename "xpress.rom".
  5. Click on OK. This opens the "Upload" dialog box.

The transfer can be aborted by clicking on Cancel in the Upload dialog box.

The BIOS can also be saved from the B&R Power Panel (or Mobile Panel) 100/200 BIOS Upgrade Disk. This disk can be downloaded from the B&R homepage (http://www.br-automation.com).

Displaying FPGA firmware information

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Versions tab.
  3. Click on Firmware for FPGA or FPGA1. This opens the "Firmware" dialog box.

The "Firmware" dialog box in the Control Center
The "Firmware" dialog box in the Control Center

The following data about the Firmware is displayed: brief Info (by default, this is the module code, date and version), the Status of the boot procedure and additional data from the header of the burned FPGA file under Extended Info. If there is no firmware in flash memory, "None" is shown under Info.

Updating FPGA firmware

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Versions tab.
  3. Click on Update for FPGA or FPGA1. This opens the "Open" dialog box.
  4. Enter the name of the firmware file or select a file under Name. The type of selectable files are preset with the device ID of the FPGA block.
  5. Click on OK. This opens the "Download" dialog box.

The transfer can be aborted by clicking on Cancel in the Download dialog box. Cancel is disabled when writing to flash memory takes place.

IMPORTANT: If the transfer has been cancelled, then the procedure must be repeated until the firmware has been updated successfully. Otherwise, the PC no longer works after restarting the system (e.g. no display) and must be updated from the B&R Power Panel (or Mobile Panel) 100/200 BIOS Upgrade Disk!

Deleting the data in flash memory can take several seconds depending on the memory block being used. The progress indicator is not updated during this time.

The current firmware is included on the B&R Power Panel (or Mobile Panel) 100/200 BIOS Upgrade Disk and can be updated from there. This disk can be downloaded from the B&R homepage (http://www.br-automation.com).

Note:
The system must be restarted for the firmware to take effect and for the updated version to be displayed. When you exit the Control Center, a dialog box appears requesting you to do so.

The format of the firmware was changed in BIOS version 1.04. Firmware in the old format cannot be updated with the Control Center. The B&R Power Panel (or Mobile Panel) 100/200 BIOS Upgrade Disk must be used in this case.

Saving FPGA firmware

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Versions tab.
  3. Click on Save for FPGA or FPGA1. This opens a "Save as" dialog box.
  4. Enter the name of the firmware file or select a file under Name. Name is preset with the device ID and variant number of the installed firmware.
  5. Click on OK. This opens the "Upload" dialog box.

The transfer can be aborted by clicking on Cancel in the Upload dialog box.

The firmware can also be saved from the B&R Power Panel (or Mobile Panel) 100/200 BIOS Upgrade Disk. This disk can be downloaded from the B&R homepage (http://www.br-automation.com).

Note: The format of the firmware was changed in BIOS version 1.04. Firmware in the old format cannot be saved with the Control Center. The B&R Power Panel (or Mobile Panel) 100/200 BIOS Upgrade Disk must be used in this case.

Showing information from the Control Center

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Versions tab.
  3. Click on Info. This opens the "Info" dialog box where the version of the Control Center and the installed ADI modules are displayed.

The "About" dialog box in the Control Center
The "Info" dialog box in the Control Center

Requirements

PP100/200, MP100/200: B&R Windows CE 5.0 or higher

<< Previous Topic
Factory settings

Start Page

Next Topic >>
Report


Report

This area allows you to create a report containing device-specific information. This report can be used by B&R Support.

The "Report" tab in the Control Center
The "Report" tab in the Control Center

Creating a report

  1. Select Start > Settings > Control Panel and double-click on the Control Center icon.
  2. Then select the Report tab.
  3. Set the report options: Click on Set all or Clear all to set or clear all options.
  4. Click on Show report to create and display the report. This opens a new dialog box.

You can edit, copy, or paste the report in this dialog box or save it to a file.

The "Report" dialog box in the Control Center
The "Report" dialog box in the Control Center

Saving the report

  1. Click on Save as.... This opens the "Save as..." dialog box.
  2. Enter the name of a text file or select a file under File name.
  3. Click on Save.

Requirements

PP100/200, MP100/200: B&R Windows CE 5.0 or higher

<< Previous Topic
Versions

Start Page

Next Topic >>
Configuration Manager


Configuration manager

General

The Configuration Manager Control Panel applet provides the following options:

Save Settings | Saves the registry to the CompactFlash card?.
Restore Settings | Restores the original B&R registry.
Restart your device now | Restarts your B&R Windows CE device.
Open START.DAT | Opens the START.DAT configuration file.
Status | Shows the current status of the registry.
About | Shows version information about the B&R Configuration Manager.

The following tabs can be selected:

  • Save
  • Restore
  • Restart
  • START.DAT
  • Status
  • About

See also:

START.DAT

<< Previous Topic
Report

Start Page

Next Topic >>
Save


Save

General

The registry can be saved to the CompactFlash card here.

Saving the registry

  • Open up the Start > Settings > Control Panel > Configuration Manager dialog box.
  • Select the Save tab.
  • Click on the Save Settings button.

See also:

RegSave, Saving the registry, Editing the registry

<< Previous Topic
Configuration Manager

Start Page

Next Topic >>
Status


Status

General

The current status of the registry can be read here.

Reading the status of the registry

  • Open up the Start > Settings > Control Panel > Configuration Manager dialog box.
  • Select the Status tab.

See also:

RegSave, Saving the registry, Editing the registry

<< Previous Topic
Save

Start Page

Next Topic >>
Restart


Restart

General

The B&R device can be restarted here.

Restarting the B&R device

  • Open up the Start > Settings > Control Panel > Configuration Manager dialog box.
  • Select the Restart tab.
  • Mark the Save settings before restart checkbox.
  • Click on the Restart your device now button.

Requirements

PP100/200, MP100/200: B&R Windows CE 5.1 or higher
APC620, PPC700: B&R Windows CE 1.1 or higher

See also:

RegSave, Saving the registry, Editing the registry

<< Previous Topic
Status

Start Page

Next Topic >>
Restore


Restore

General

The original registry can be restored here. Be aware that all changes made in the registry will be lost.

Restoring the original registry

  • Open up the Start > Settings > Control Panel > Configuration Manager dialog box.
  • Select the Restore tab.
  • Click on the Restore Settings button.

See also:

RegSave, Saving the registry, Editing the registry

<< Previous Topic
Restart

Start Page

Next Topic >>
START.DAT


START.DAT

General

This allows you to open the START.DAT configuration file.

Opening the START.DAT configuration file

  • Open up the Start > Settings > Control Panel > Configuration Manager dialog box.
  • Select the START.DAT tab.
  • Click on the Open START.DAT button.

Requirements

PP100/200, MP100/200: B&R Windows CE 5.1 or higher
APC620, PPC700: B&R Windows CE 1.1 or higher

See also:

START.DAT

<< Previous Topic
Restore

Start Page

Next Topic >>
About


About

General

This tab displays the version of the B&R Configuration Manager.

Requirements

PP100/200, MP100/200: B&R Windows CE 5.1 or higher
APC620, PPC700: B&R Windows CE 1.1 or higher

<< Previous Topic
START.DAT

Start Page

Next Topic >>
Server


Server applet

General

The Server applet allows you to configure servers. The applet is opened from the Control Panel.

Opening the Server applet

  • Select Start > Settings > Control Panel and double-click on the Server icon.

The following tabs can be selected:

  • FTP
  • Other server

See also:

How can I configure the FTP server?, How do I establish a Telnet connection?

<< Previous Topic
About

Start Page

Next Topic >>
FTP


FTP

General

The FTP server for the B&R Windows CE image can be configured under this tab.

    Function | Description | Default
Enable FTP Server | Enables or disables the B&R Windows CE FTP server. | Disabled
Root Directory | This and all subdirectories can be reached via FTP. | \Temp
Use Authentication | Defines whether authentication is required to access the FTP server. If this option is disabled, connections to the CE devices can be established without Username and Password. If this option is enabled, a connection can be established using the owner's name (see Control Panel applet Owner) and the corresponding password (see Control Panel applet Password). | Enabled
Allow Anonymous Upload | Defines whether an anonymous user can upload files to the server. | Disabled
Allow Anonymous Access | Defines whether an anonymous user can download files from the server. | Enabled

See also:

How can I configure the FTP server?

<< Previous Topic
Server

Start Page

Next Topic >>
Other server


Other server

General

The Web server and the Telnet server can be enabled and disabled on this tab.

Enabling the Web server

  • Select Start > Settings > Control Panel and double-click on the Server icon.
  • Select the Enable Web server checkbox under the Other server tab.

Enabling the Telnet server

  • Select Start > Settings > Control Panel and double-click on the Server icon.
  • Select the Enable Telnet server checkbox under the Other server tab.

See also:

How can I configure the FTP server?, How do I establish a Telnet connection?

<< Previous Topic
FTP

Start Page

Next Topic >>
Touch screen


Touch screen

General

The Touch Screen applet is used for calibrating and configuring the touch screen driver. The applet is opened from the Control Panel.

Opening the Touchscreen applet

  • Select Start > Settings > Control Panel and double-click on the Touchscreen icon.

The following tabs can be selected:

  • Calibration
  • Screen cleaning
  • Configuration
  • About

See also:

Touch calibration

<< Previous Topic
Other server

Start Page

Next Topic >>
Calibration


Calibration

General

The touch screen calibration is started here.

Starting calibration

  • Select Start > Settings > Control Panel and double-click on the Touchscreen icon.
  • Switch to the Calibration tab.
  • Click on the Calibrate / Recalibrate button.
  • Now follow the instructions on the screen.

After the calibration, the configuration is saved automatically. The registry does not have to be saved manually with the Configuration Manager.

See also:

Touch calibration, Configuration Manager, How can I run touch calibration from my application?

<< Previous Topic
Touch screen

Start Page

Next Topic >>
Screen cleaning


Screen cleaning

General

Your touch screen may need to be cleaned if it no longer responds correctly to your input.

Starting the cleaning process

  • Select Start > Settings > Control Panel and double-click on the Touch Screen icon.
  • Select the Screen cleaning tab.
  • Click on the Start screen cleaning button.
  • The touch screen is locked for the next 20 seconds.
  • Clean the touch screen.

Note: Follow the cleaning guidelines in the user's manual.

Requirements

PP100/200, MP100/200: B&R Windows CE 5.1 or higher
APC620, PPC700: B&R Windows CE 1.1 or higher

<< Previous Topic
Calibration

Start Page

Next Topic >>
Configuration


Configuration

General

This allows you to enable right mouse click support, define the serial interface being used, or disable the automatic closing of the calibration. Note that not all functions are available on all devices!

PP100/200, MP100/200

Enabling right-click support with the touch screen

  • Select Start > Settings > Control Panel and double-click on the Touch Screen icon.
  • Select the Enable right-click support option on the Configuration tab.
  • Define the timeout by moving the slider.
  • Exit the dialog box by clicking OK.
  • You must then reboot the device.

Note:The timeout for the right-click function defines the amount of time which the touch must be pressed until the right-click is executed.

Disabling the calibration timeout

  • Select Start > Settings > Control Panel and double-click on the Touch Screen icon.
  • Switch to the Configuration tab.
  • Select the Disable calibration timeout option on the Configuration tab.

Note: By default, calibration is ended if an entry is not made within 15 seconds. This behavior can be disabled by selecting the Disable calibration timeout checkbox. The calibration is then only closed once it has been successfully completed.

APC620, PPC700

Configuring the touch screen serial interface

  • Select Start > Settings > Control Panel and double-click on the Touch Screen icon.
  • Switch to the Configuration tab.
  • Select the desired serail interface from the Communication Port drop-down menu.
  • You must then reboot the device.

Configuring touch screen behavior

  • Select Start > Settings > Control Panel and double-click on the Touch Screen icon.
  • Switch to the Configuration tab.
  • Select the desired behavior from the Behavior drop-down menu.
  • You must then reboot
    the device.
    Click on touch
             Triggers a mouse click when the touch screen is touched.
    Click on release
             Triggers a mouse click when the touch screen is released.
    Mouse emulation
             The touch screen emulates mouse behavior. This makes it possible to select several elements by drawing a box around them. Triggers a mouse click when the touch screen is touched.

Requirements

PP100/200, MP100/200: B&R Windows CE 5.1 or higher
APC620, PPC700: B&R Windows CE 1.1 or higher

See also:

Touch calibration

<< Previous Topic
Screen cleaning

Start Page

Next Topic >>
About


About

General

This tab displays the version of the B&R Touch Screen applet.

Requirements

PP100/200, MP100/200: B&R Windows CE 5.1 or higher
APC620, PPC700: B&R Windows CE 1.1 or higher

<< Previous Topic
Configuration

Start Page

Next Topic >>
Tools


Tools

In this section the following topics are discussed:

Tools

B&R Remote Display Control

Full-screen Internet Explorer

CERamDrv

B&R Registry Editor

RegSave

RegSvrCE

<< Previous Topic
About

Start Page

Next Topic >>
B&R Remote Display Control


B&R Remote Display Control

General

B&R Remote Display Control is a simple remote administration program for B&R Windows CE devices. It allows the contents on the Windows CE device's screen to be displayed on the desktop PC.

Syntax

cerdisp -c -h<Host>

     -c Automatically establishes a connection to the configured host. This argument must always be first in line.
     -h Host definition.

     Examples:

     cerdisp -c -hMYCOMPUTER

     B&R Remote Display automatically establishes a connection to the MYCOMPUTER computer.

Installing B&R Remote Display Control

  • Before you can start with the installation of B&R Remote Display Control , make sure that ActiveSync is installed on the desktop PC. B&R Remote Display Control needs this to work since it uses the CEAPPMGR.EXE file. The most current version of Microsoft ActiveSync can be downloaded from the Microsoft homepage (http://www.microsoft.com).
  • In addition, download the most current version of the Remote Display Control Pocket PC powertoy from the Microsoft homepage (http://www.microsoft.com).
  • Now you can begin installing the Remote Display Control Pocket PC powertoy on your desktop PC. To do so, run the program RemoteDSP.exe.

Note: Since RemoteDSP.exe was initially developed for Pocket PCs, the setup program cannot install the CERDISP.EXE application on the CE device automatically. Since this file is already contained in the B&R Windows CE image, you can ignore this error message.
  • Connect the desktop PC and the Windows CE device over Ethernet. Test the connection, e.g. with PING.
  • Now start the Remote Display Control Host Pocket PC powertoy program on the desktop PC.
  • Then start the Start > Programs > Accessories > Remote Display Control program on the B&R Windows CE device.
  • Open the Connect dialog box and enter the IP address or name of your desktop PC.
  • Establish the connection by clicking on OK.

<< Previous Topic
Tools

Start Page

Next Topic >>
Full-screen Internet Explorer


Full-screen Internet Explorer

General

Although Internet Explorer offers the View > Hide Toolbars menu item, this setting is not saved permanently. Because of this, the toolbars always reappear each time Internet Explorer is started. For this reason, you should use the full-screen Internet Explorer program.

Opening the full-screen Internet Explorer program

  • Select Start > Programs > Accessories > Fullscreen Internet Explorer.

Keyboard commands

Menu action | Shortcut keys
Update page | F5
View -> Text Size -> Smaller | F6
View -> Text Size -> Larger | F7
View -> Internet Options | F10
Toggle between full-screen mode and normal mode | F11 or Ctrl + l
Back | Alt + <-
Continue | Alt + ->
Stop | Esc
Home page | Ctrl + h
Go [opens a dialog box] | Ctrl + g
Search [opens a dialog box] | Ctrl + f

See also:

What differences exist between the various Web browsers?

<< Previous Topic
B&R Remote Display Control

Start Page

Next Topic >>
CERamDrv


CERamDrv

General

CERamDrv creates a RAM disk.

Syntax

ceramdrv <size of the RAM disk in bytes>

See also:

How can I create a RAM disk?

<< Previous Topic
Full-screen Internet Explorer

Start Page

Next Topic >>
B&R Registry Editor


B&R Registry Editor

General

The B&R Registry Editor program from B&R allows you to edit the registry of the Windows CE image on the CE device. Operating the B&R Registry Editor is similar to the other editors in Microsoft Windows XP.

The RegEdit user interface

Starting the B&R Registry Editor

  • Select Start > Programs > Accessories > B&R Registry Editor.

The RegEdit icon

  • You can also start the program from the command line by typing in the RegEdit command.

    Note:     Don't forget to save the registry once you have exited the registry editor!

See also:

Saving the registry, Regsave.exe, Editing the registry

<< Previous Topic
CERamDrv

Start Page

Next Topic >>
RegSave


RegSave.exe

RegSave

General

The command line application RegSave.exe allows you the option of saving the registry (similar to in the Configuration manager applet in the Control Panel). Simply enter the command Regsave at the command prompt.

RegSave

Now the registry is saved on the CompactFlash card.

See also:

Saving the registry, Configuration Manager, B&R Registry Editor

<< Previous Topic
B&R Registry Editor

Start Page

Next Topic >>
RegSvrCE


RegSvrCE

General

The RegSvrCE.exe program is used to register COM DLLs or ActiveX controls.

Syntax

RegSvrCE [Path and name of the ActiveX control] [/s] [/u]

Parameters

/S Silent     - No output is shown on the display
/U Unregister - The specified ActiveX control is unregistered

Example

RegSvrCE \Hard Disk\MyActiveX.ocx

Note:
Don't forget to save the registry once the ActiveX control has been registered.

See also:

Saving the registry, Configuration Manager

<< Previous Topic
RegSave

Start Page

Next Topic >>
Known problems


Known problems

In this section the following topics are discussed:

Known problems

APC620, PPC700

PP100/200, MP100/20

<< Previous Topic
RegSvrCE

Start Page

Next Topic >>
APC620, PPC700


APC620, PPC700

In this section the following topics are discussed:

APC620, PPC700

V1.0

V1.1

<< Previous Topic
Known problems

Start Page

Next Topic >>
V1.0


V1.0

  • The ATAPI driver being used doesn't support DMA transfers. All devices (CompactFlash cards, hard drives, etc.) are therefore operated in PIO mode (see A&P 129865).
  • USB 2.0 (EHCI) fails sporadically (see A&P 129870).
  • If the Web server is enabled in the Server applet in the Control Panel, it and the Telnet server are enabled after restarting (see A&P 13920).
  • The B&R Windows CE SDK cannot be used to create a native smart device application with Visual Studio 2005 (see A&P 138890).
  • The ActiveX interface on the RDP interface is not implemented (see A&P 131915).
  • The Automation Panel remains dark after a warmboot (see A&P 142055).
  • Using RDP the Device Change Notification is not triggered (see A&P 140250).
  • The explorer does not copy the Hidden file attribute (see A&P 140200).

<< Previous Topic
APC620, PPC700

Start Page

Next Topic >>
V1.1


V1.1

  • USB 2.0 (EHCI) fails sporadically (see A&P 129870).
  • USB mouse not detected on USB port 2 (see A&P 139665).

<< Previous Topic
V1.0

Start Page

Next Topic >>
PP100/200, MP100/20


PP100/200, MP100/200

In this section the following topics are discussed:

PP100/200, MP100/20

V5.0

V5.1

<< Previous Topic
V1.1

Start Page

Next Topic >>
V5.0


V5.0

  • The graphics card driver is a bit slower than the one from B&R Windows CE V3.0 (see A&P 129860).
  • DMA mode cannot be enabled on the IDE controller (see A&P 128600).
  • If a program that's not saved on the primary partition is started with the RUN keyword, then it only works if a WAIT keyword was set beforehand (see A&P 126365).
  • Only the English keyboard layout is supported (see A&P 128315).
  • Key level > 3 can be set (see A&P 128350).
  • Matrix key number 121 is not detected (see A&P 128245).
  • The touch calibration should check whether the new calibration should be enabled (see A&P 129875).
  • If the Web server is enabled in the Server applet in the Control Panel, it and the Telnet server are enabled after restarting (see A&P 13920).
  • The B&R Windows CE SDK cannot be used to create a native smart device application with Visual Studio 2005 (see A&P 138890).
  • Error message "No B&R device" if the keyboard repeat rate is disabled for WinCE (see A&P 13720).
  • The ActiveX interface on the RDP interface is not implemented (see A&P 131915).
  • Sometimes the MCX is not initialized on the Mobile Panel - Keys does not work (see A&P 144230).
  • Using RDP the Device Change Notification is not triggered (see A&P 140250).
  • The explorer does not copy the Hidden file attribute (see A&P 140200).

<< Previous Topic
PP100/200, MP100/20

Start Page

Next Topic >>
V5.1


V5.1

  • The graphics card driver is a bit slower than the one from B&R Windows CE V3.0 (see A&P 129860).
  • DMA mode cannot be enabled on the IDE controller (see A&P 128600).
  • If a program that's not saved on the primary partition is started with the RUN keyword, then it only works if a WAIT keyword was set beforehand (see A&P 126365).
  • The touch calibration should check whether the new calibration should be enabled (see A&P 129875).
  • The media change in an USB CD-ROM drive won't be detected (see A&P 144465).

<< Previous Topic
V5.0

Start Page

Next Topic >>
FAQ


FAQ

In this section the following topics are discussed:

FAQ

How can I optimize boot times?

Where do I get libraries, include files, and documentation for PVI?

Why isn't my mouse recognized on the APC620/PPC700?

What is the difference between the Professional and Professional Plus images?

How do I install Compact Framework 2.0?

Why does touch only work on a link connector?

Why isn't my PS/2 mouse working?

Why doesn't the Ethernet connection work with ActiveSync 4.X anymore?

How do I install Java VM on a B&R Windows CE device?

How can I assign a permanent media type to my PP100/200 or MP100/200 network card?

How can I run touch calibration from my application?

How can I hide the taskbar?

How do I configure the file server?

How do I establish a Telnet connection?

What does "This is not a valid Windows CE application" mean?

How do I define the input language?

What transfer mode is used when operating the CompactFlash card?

Shortcuts on the desktop cannot be deleted!

My USB device isn't responding!

My .CAB file disappeared after installation!

Platform manager cannot create the communication streams needed by the debugger

Why do I have to flip the boot logo?

What differences exist between the various Web browsers?

How can I open the input panel window using source code?

How can I assign the device a static IP address?

How can I create a RAM disk?

How can I take a screenshot?

Where is eMbedded Visual Basic?

<< Previous Topic
V5.1

Start Page

Next Topic >>
How can I optimize boot times?


How can I optimize boot times?

General

Use the following tips to minimize boot times for a B&R Windows CE 5.0 image:

Tip | APC620, PPC700 | PP100/200, MP100/200
Microsoft Windows CE 5.0 requires quite a lot of time to mount partitions. This can take substantially longer if the partitions are larger. For this reason, use the smallest possible CompactFlash card. | - | -
Disable boot logo display in BIOS. | BIOS > Advanced > Miscellaneous > Dark Boot > Enabled | BIOS > Advanced BIOS Features > Boot Logo > Disabled
Disable the BIOS summary screen. | BIOS > Advanced > Miscellaneous > Summary screen > Disabled | BIOS > Advanced BIOS Features >Summary Screen > Disabled
Disable all unnecessary servers. | Start > Settings > Control Panel > Server | Start > Settings > Control Panel > Server
Use current B&R CompactFlash cards. Only these support DMA mode. | - | -

<< Previous Topic
FAQ

Start Page

Next Topic >>
Where do I get libraries, include files, and documentation for PVI?


Where do I get libraries, include files, and documentation for PVI?

General

These files and information are part of the PVI Runtime + Server Setup program package. It can be downloaded from the B&R homepage (http://www.br-automation.com).

<< Previous Topic
How can I optimize boot times?

Start Page

Next Topic >>
Why isn't my mouse recognized on the APC620/PPC700?


Why isn't my mouse recognized on the APC620/PPC700?

General

A USB mouse will not be recognized on USB Port 2 of the APC620 and PPC700 if a USB keyboard is connected to USB Port 1.

Correcting the problem

  • Connect your USB mouse to USB Port 1 and your USB keyboard to USB Port 2.
  • Disconnect the USB mouse from USB Port 2 and reconnect it to USB Port 2.
  • Disable the device Advanced > I/O Device Configuration > USB EHCI Host Controller in BIOS.

<< Previous Topic
Where do I get libraries, include files, and documentation for PVI?

Start Page

Next Topic >>
What is the difference between the Professional and Professional Plus images?


What is the difference between the Professional and Professional Plus images?

General

B&R Windows CE Professional Plus images (9S0001.34-020, 9S0001.35-020, and 9S0001.36-020) are based on the B&R Windows CE Professional images. In addition to the components included in the Professional images, the Profession Plus images also include the following viewers:

  • PDF viewer
  • Power Point viewer
  • Microsoft Word viewer
  • Excel viewer
  • Image viewer

See also:

Model numbers, Range of functions

<< Previous Topic
Why isn't my mouse recognized on the APC620/PPC700?

Start Page

Next Topic >>
How do I install Compact Framework 2.0?


How do I install Compact Framework 2.0?

General

There are several ways to install Microsoft Compact Framework V2.0:
  • Automatic installation by Microsoft Visual Studio 2005 during a deployment.
  • Using ActiveSync while installing the .NET Compact Framework 2.0 Redistributable package.
  • Manually by installing the NETCFv2.wce5.x86.cab CAB file.
This document will discuss the manual installation using the CAB file.

Installing Compact Framework V2.0

  • Make sure that the Compact Framework V2.0 hasn't been installed yet. Refer to the Range of functions section.
  • Copy the NETCFv2.wce5.x86.cab file to the B&R Windows CE device.
  • Run the NETCFv2.wce5.x86.cab file and wait until installation is finished.

Note: The NETCFv2.wce5.x86.cab file is part of Microsoft Visual Studio 2005 or the .NET Compact Framework 2.0 Redistributable package. The .NET Compact Framework 2.0 Redistributable package can be downloaded at no cost from Microsoft homepage.
  • Wait until the installation is complete.
  • Open the Configuration Manager and save the registry.

Requirements

PP100/200, MP100/200:B&R Windows CE 5.0 or higher

See also:

Range of functions, Saving the registry

<< Previous Topic
What is the difference between the Professional and Professional Plus images?

Start Page

Next Topic >>
Why does touch only work on a link connector?


Why does touch only work on a link connector?

General

This behavior occurs if you've enabled the serial COM D interface. To correct this problem, go into BIOS and set Advanced > Baseboard/Panel Features > Legacy Devices > COM D: to Disabled.

See also:

BIOS settings

<< Previous Topic
How do I install Compact Framework 2.0?

Start Page

Next Topic >>
Why isn't my PS/2 mouse working?


Why isn't my PS/2 mouse working?

General

For a PS/2 mouse to be enabled in Windows CE, it needs to be connected before booting. In addition, PS/2 mouse support must be enabled in BIOS. Use the BIOS setting Advanced > Miscellaneous > PS/2 Mouse.

See also:

BIOS settings

<< Previous Topic
Why does touch only work on a link connector?

Start Page

Next Topic >>
Why doesn't the Ethernet connection work with ActiveSync 4.X anymore?


Why doesn't the Ethernet connection work with ActiveSync 4.X anymore?

General

Beginning with version 4.0 of ActiveSync, Microsoft has removed the "Remote PC Sync (via Wifi or LAN)" function. For this reason, ActiveSync versions higher than 4.0 no longer allow an ActiveSync connection over Ethernet (see Establishing a connection to the CE device > ActiveSync > Ethernet). The following text is taken from the Microsoft Webpage:

"Remote PC Sync (via Wifi or LAN) has been removed due to Enterprise customer feedback around security issues. If you are using this feature on a Windows Mobile 2003 powered device, please continue using ActiveSync 3.x or earlier."

For this reason, B&R recommends using Microsoft ActiveSync 3.X.

See also:

Establishing a connection with the CE device > ActiveSync > Ethernet, Establishing a connection with the CE device > ActiveSync > Serial

<< Previous Topic
Why isn't my PS/2 mouse working?

Start Page

Next Topic >>
How do I install Java VM on a B&R Windows CE device?


How do I install Java VM on a B&R Windows CE device?

General

Unlike other operating systems, there is no free Java VM or JRE for Microsoft Windows CE. For this reason, B&R recommends the JRE CrEme (Version 4.X and higher) from NSICom (http://www.nsicom.com). This JRE has been tested successfuly on B&R Windows CE devices.

Installing CrEme on a B&R Windows CE 5.0 device

  • Make sure that your B&R Windows CE image is based on Microsoft Windows CE 5.0. See the Range of functions section.

Note: CrEme can only be installed on B&R Windows CE images that are based on Microsoft Windows CE 5.0. If you need CrEme for an image based on Microsoft Windows CE 4.X, please contact your B&R representative.
  • Contact B&R to obtain a compatible version of CrEme.

Note: The setups from http://www.nsicom.com cannot be installed on a B&R Windows CE device. These versions require components (AYGShell) that are not included in the B&R Windows CE image. Contact B&R to obtain a compatible version of CrEme.
  • Copy the CAB file to the Windows CE device.
  • Double-click on the CAB file.
  • Select the directory \Windows\CrEme in the Install NSIcom CrE-ME dialog box.
  • Wait until the installation is complete.
  • Open the Configuration Manager and save the registry.

See also:

Range of functions, Saving the registry

<< Previous Topic
Why doesn't the Ethernet connection work with ActiveSync 4.X anymore?

Start Page

Next Topic >>
How can I assign a permanent media type to my PP100/200 or MP100/200 network card?


How can I assign a fixed media type to the network card?

How can I assign a permanent media type to my PP100/200 or MP100/200 network card?

General

In its default configuration, the network card attempts to automatically set the medium being used (10BaseT or 100BaseT) in cooperation with the hubs, switches or servers present. This takes a certain amount of time which can lead to problems in many configurations. Use the following registry keys to set a fixed configuration for the type of medium being used:

 [HKEY_LOCAL_MACHINE\Drivers\BuiltIn\PCI\Instance\DP83815]
 Speed = [DWORD]
 FullDuplex = [DWORD]

Speed | Description
1 | Automatic
2 | 10 Mbps
3 | 100 Mbps

FullDuplex | Description
1 | Full-duplex
2 | Half-duplex

<< Previous Topic
How do I install Java VM on a B&R Windows CE device?

Start Page

Next Topic >>
How can I run touch calibration from my application?


How can I run touch calibration from my application?

General

This section will explain how you can run touch calibration from your application.

The calibration routines are saved as executable program files in the Windows directory. The file is called hcecal.exe on the Power Panel 100/200 and Mobile Panel 100/200 and EloVa.exe on the APC620 und PPC700.

Starting APC620 touch calibration (C source code)

PROCESS_INFORMATION hProcess;
long ProcessError;
ProcessError = CreateProcess(TEXT("\\windows\\EloVa.exe"), TEXT(""),NULL,NULL, FALSE, 0, NULL, NULL, NULL, &hProcess);

See also:

Touch calibration, Control Panel Touchscreen applet

<< Previous Topic
How can I assign a permanent media type to my PP100/200 or MP100/200 network card?

Start Page

Next Topic >>
How can I hide the taskbar?


How can I hide the taskbar?

General

The easiest way to do this is to adjust the properties of the taskbar itself.

Hiding the taskbar

  • Open up the Start > Settings > Taskbar and Start Menu dialog box.

Open the properties dialog box for the taskbar and Start menu

  • Select the General tab.
  • Select the Auto hide checkbox.

Enabling the "Auto hide" checkbox

    Note:
    To make the taskbar completely invisible, disable the Always on top option.

Now the registry needs to be saved. You can also adjust these settings automatically during the first boot with the Settings.reg file. Use the following registry keys to do so:

    REGEDIT4
       [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Shell]
    [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Shell\AutoHide]
    @=dword:00000001

See also:

Saving the registry, Configuration manager, SETTINGS.REG

<< Previous Topic
How can I run touch calibration from my application?

Start Page

Next Topic >>
How do I configure the file server?


How do I configure the file server?

General

This section will demonstrate how to configure the file server on a B&R Windows CE device.

Configuring the file server

  • Make sure that the B&R CE device is connected to your network.
  • Make sure that the Web server is enabled. Refer to the Other server section.
  • Open up the Windows CE Remote Management Tool by opening http://localhost/remoteadmin in Internet Explorer.

Note:
If the Windows CE Remote Management Tool won't open on the B&R CE device, disable the Access the Internet using a proxy server and Use LAN (no Autodial) options in the Internet Options. If you don't want to disable these options, you can also reach the Remote Management Tool for the CE device from your desktop PC. To do so, open a Web browser on your desktop PC and enter the IP address followed by remoteadmin (e.g. http://20.10.30.14/remoteadmin).
  • Now select a password and enter it for Password and Verification. Then click on Apply.
  • The gateway will reset and the Enter Network Password window appears. For the user name, enter admin. Enter the password you've just defined for Password. Close the dialog box by clicking OK.

  • In the Device name text box, enter File Server. Confirm your selection by clicking on Apply.

  • Click on Add/Del Share in the left column. This opens up the Use this page to add and remove shares window.
  • Enter root in the textbox to the right of the \Windows. Click on Add.

  • Open up the Permissions window for the \Windows directory.
  • Enable the Allow option for the admin user and then click on Update.

  • Exit the dialog box by clicking Done.
  • Now click on Device Management in the left-hand column and select Add/Del Network Adapters. This opens up the Use this page to add and remove shares window.
  • Select the network adapter that you want to use for the file server. Close the window with Submit Query.

  • Save the registry on the CE device.
  • Now open up the Start > Run... window on your desktop PC and enter \\fileserver.

  • The directory will open up.

See also:

Saving the registry

<< Previous Topic
How can I hide the taskbar?

Start Page

Next Topic >>
How do I establish a Telnet connection?


How do I establish a Telnet connection?

General

This section will explain how to establish a Telnet connection to a B&R Windows CE device.

Establishing a Telnet connection

  • Make sure that your CE device is connected to your network.
  • Define a password for the CE device.
  • Open up the Start > Settings > Control Panel > Password dialog box.
  • Enter any password.

  • From your desktop computer's command prompt, open up the Telenet client with the telnet command.

  • Set up a new connection with the o command.
  • Now enter the IP address of the CE device.
  • Enter Admin as the login name.

  • Now enter the password.

  • You can exit the pocket shell with the exit.
  • The telnet client can be closed with the q command.

See also:

Server applet

<< Previous Topic
How do I configure the file server?

Start Page

Next Topic >>
What does "This is not a valid Windows CE application" mean?


What does "This is not a valid Windows CE application" mean?

General

This error message is usually output to the Windows CE device when an .EXE file is run. This error message indicates that an API function is being used in the .EXE file that isn't contained in the B&R Windows CE image. For this reason, you should always use the B&R SDK when developing native code programs with Microsoft eMbedded Visual C++ 4.0. See Requirements for developing native code applications.

See also:

Requirements for developing native code applications

<< Previous Topic
How do I establish a Telnet connection?

Start Page

Next Topic >>
How do I define the input language?


How do I define the input language?

General

The input language defines the keyboard layout of a connected keyboard or a SIP (soft input panel -- only the large keyboard SIP is currently supported). This allows the keyboard layout to be switched during operation (e.g. German and English).

Changing the input language

  • Open up the Start > Settings > Control Panel > Regional Settings dialog box.
  • Select the Input language tab.
  • Enable the desired input languages in the Installed input languages list box.
  • If you are enabling more than one input language, you also have to define the default input language in the Default input language combo box.

Note:
You can also enable several input languages. The input language that is currently enabled is displayed as an icon in the system tray. Input languages can be enabled with the ALT+SHIFT key combination.

<< Previous Topic
What does "This is not a valid Windows CE application" mean?

Start Page

Next Topic >>
What transfer mode is used when operating the CompactFlash card?


What transfer mode is used when operating the CompactFlash card?

General

CompactFlash cards are usually operated in PIO mode. Only the APC620 and PPC700 images starting from V1.1 operate CompactFlash cards in DMA mode.

See also:

Range of functions

<< Previous Topic
How do I define the input language?

Start Page

Next Topic >>
Shortcuts on the desktop cannot be deleted!


Shortcuts on the desktop cannot be deleted!

General

Shortcuts like Internet Explorer or Remote Desktop cannot be removed since they are stored in the image, not in the registry or a file. For this reason, these shortcuts are generated from NK.BIN during each boot. These shortcuts cannot be deleted.

<< Previous Topic
What transfer mode is used when operating the CompactFlash card?

Start Page

Next Topic >>
My USB device isn't responding!


My USB device isn't responding!

General

After the CE device boots, USB devices are initialized one after the other. The device on USB Port 1 is started first followed by the device on USB Port 2. If there is a device connected to Port 1 which requires a relatively long time to initialize (e.g. USB flash drive, CompactFlash reader, etc.), then a relatively long time may pass before the device on USB Port 2 is enabled. This is particularly noticeable if a mouse or keyboard is connected to USB Port 2.

To solve this problem, connect USB devices with longer initialization periods to USB Port 2 and devices which are initialized quickly on USB Port 1 (keyboard or mouse).

<< Previous Topic
Shortcuts on the desktop cannot be deleted!

Start Page

Next Topic >>
My .CAB file disappeared after installation!


My .CAB file disappeared after installation!

General

This is the normal behavior of wceload.exe (part of Microsoft Windows CE). This program deletes the CAB file after the installation has finished successfully. If you need to use this file often, you have to create a backup copy before installing.

<< Previous Topic
My USB device isn't responding!

Start Page

Next Topic >>
Platform manager cannot create the communication streams needed by the debugger


Platform manager cannot create the communication streams needed by the debugger

General

To correct this problem, uninstall just the Common Components from Microsoft eMbedded Visual C++ 4.0. The setup program will notice that the installation will be cancelled. You can ignore this message. Reboot your PC and reinstall the Common Components of Microsoft eMbedded Visual C++ 4.0.

<< Previous Topic
My .CAB file disappeared after installation!

Start Page

Next Topic >>
Why do I have to flip the boot logo?


Why do I have to flip the boot logo?

The Windows Bitmap format saves the pixels in a file from the lower right to the upper left. However, the bootloader draws from the upper left to the lower right, which means the image must be flipped.

<< Previous Topic
Platform manager cannot create the communication streams needed by the debugger

Start Page

Next Topic >>
What differences exist between the various Web browsers?


What differences exist between the various Web browsers?

General

Microsoft Platform Builder allows you to choose one of two Web browsers to integrate into the Windows CE image. One is the Pocket Internet Explorer (available in the Windows CE 3.0 images for Provit 5000 devices). The other is Microsoft Internet Explorer 6.0 for Windows CE. B&R uses the Microsoft Internet Explorer 6.0 for Windows CE.

The following is an excerpt from the Microsoft Platform Builder help ( Support for Internet Explorer 6 in Windows CE section), which describes the difference between the desktop and Windows CE variants of Internet Explorers 6.0.

Desktop Internet Explorer functionalities supported by IE for Windows CE

Internet Explorer 6 for Windows CE supports the following desktop Internet Explorer features:

  • HTML 4.01.
  • Dynamic HTML (DHTML).
  • Cascading Style Sheets (CSS), compliant with CSS1 and CSS2 core functionality. For more information, see CSS Reference.
  • Documuent Object Model (DOM). Full event model for all tags and objects.
  • Microsoft® ActiveX® controls. These controls must be installed and registered on the device. ActiveX controls are not binary compatible between the desktop version of Windows and Windows CE.
  • Browser Helper Object (BHO).
  • Frame and IFRAME.
  • Cookies. Used for tracking data settings, or data for a particular Web site.
  • Client Capability behaviors.
  • Image support (GIF, Animated GIF, JPG, BMP, XBM, and PNG).
  • Printing.
  • HTML Applications (.hta) and HTML Component (.htc).
  • HTTP 1.0, HTTP 1.1, and FTP.
  • Secure Sockets Layer (SSL) support. SSL2, SSL3, and TLS 1.0
  • Basic, NTLM, and Kerberos authentication (NTLM and Kerberos are optional components).
  • Internet Protocol Version 6 (IPv6).
  • Offline browsing.
  • Security Zone.
  • Asynchronous pluggable protocols.
  • Microsoft Jscript 5.6 and VBScript 5.6.

New functionalities added to Internet Explorer 6 for Windows CE 5.0

The following list shows some of the new functionalities added to Internet Explorer 6 for Windows CE 5.0. For the complete list of the new functionalities added in this release, see What's New in Windows CE.

  • Theming Support that applies Windows XP visual style to intrinsic controls. For more information, see Theme Support Reference.
  • Platform for Privacy Preferences (P3P) support that enables cookie filtering. For more information, see Platform for Privacy Preferences (P3P).
  • Popup blocking that enables the filtering of unwanted popup windows. Windows CE provides a different implementation from desktop implementation. For more information, see Using the Popup Blocker Interfaces.
  • RPC support enables cross-window communication. For more information, see Internet Explorer RPC Support.
  • Complex Script language

Desktop functionalities that behave differently on Internet Explorer for Windows CE

The following list shows the desktop functionalities that behave differently on Internet Explorer for Windows CE.

  • Browser application. IE for Windows CE includes a browser application, IESAMPLE. IESAMPLE displays the current security zone in the browser status bar, and displays the security lock icon when the user visits a secure Web site that automatically sends its security certificate. IESAMPLE also implements the AutoComplete functionality that completes entries on Web pages by displaying a list of previous matching entries. For more information about this application, see The IESample Browser.
    The following list shows functionalities supported in IESAMPLE.

    • Menu.
    • Toolbar.
    • Favorites.
    • Control Panel.
    • Address bar. Go button is not supported.
    • Status bars.
      Note: The Media and History bars are not supported. Also, the Search and Favorites panes are not supported.
    • Editing.
    • Cut, copy, and paste operations are supported. Rich editing is not supported.
    • Printing. Print preview is not supported.
    • ActiveX controls. These controls in Windows CE are not binary compatible with the desktop version of Windows.

Desktop Internet Explorer functionalities that are partially supported in Internet Explorer for Windows CE

The following list shows the desktop Internet Explorer functionalities that are partially supported in Internet Explorer for Windows CE.

  • Filters and Transition that add visual effects to Web page content. Not all visual effects are supported in IE for Windows CE. For more information, see Adding Filters and Transitions.
  • Internet Explorer DHTML behaviors, including clientCaps and printing related behaviors. Other behaviors such as userData, homepage, download behaviors are not supported. For more information, see Internet Explorer MSHTML/DHTML API Application Development.
  • Window.open method that enables the browser to communicate across different browser windows it has opened. This method requires RPC support for cross window scripting. For more information, see Internet Explorer RPC Support.
  • Mouse wheel scroll. Reader mode is not supported.
  • Platform for Privacy Preferences (P3P). Privacy Report is not supported. For more information, see Platform for Privacy Preferences (P3P).

Desktop Internet Explorer functionalities that are not supported in IE for Windows CE

The following list shows desktop Internet Explorer functionalities that are not supported in IE for Windows CE.

  • Automatic download of ActiveX controls.
  • Microsoft Java Virtual Machine.
  • Font download.
  • Drag and Drop.
  • Databinding.
  • Rich Editing.
  • Dynamic Property.
  • HTML + TIME.
  • Auto-proxy.
  • Several protocols, including Gopher, news, and mailto. OEMs can add mailto protocol support.
  • Intelliform features such as autocomplete and save password.
  • Recreation Software Advisory Council on the Internet (RSACi) rating system.
  • Vector Markup Language (VML).
  • Internet Explorer type libraries.

Functionalities that are supported only in Internet Explorer for Windows CE

Internet Explorer for Windows CE supports TV-Style navigation. This functionality includes directional tabbing, fixed width layout, disabling scrollbar support, and scroll adorner.TV-Style navigation. For more information, see Internet Explorer TV-Style Navigation.

Plug-in support in Internet Explorer for Windows CE

Internet Explorer for Windows CE supports various plugins such as Java Virtual Machine and Macromedia Flash. For the availability of these plug-ins, contact the third party vendor.

Scripting functionalities not supported in Internet Explorer for Windows CE

The following list shows the scripting functionalities that are not supported in Internet Explorer for Windows CE

  • Dynamic attribute through expressions
  • ScriptControl Object.
  • Type libraries for VBScript.
  • Scrrun.dll support; including dictionary and file objects.
  • Automatic loading of type libraries. AddTypeLib on IActiveScript is not supported.
  • Referencing cross-window objects. opener.top.location and window.opener are only supported when the Internet Explorer RPC support Catalog item is included in the OS design. For more information about this funcitonality, see Internet Explorer RPC support.

<< Previous Topic
Why do I have to flip the boot logo?

Start Page

Next Topic >>
How can I open the input panel window using source code?


How can I open the input panel window using source code?

General

The currently selected SIP (input panel window) can be opened with the SipShowIM API function.

Excerpt from the MSDN

<< Previous Topic
What differences exist between the various Web browsers?

Start Page

Next Topic >>
How can I assign the device a static IP address?


How can I assign the device a static IP address?

General

B&R Windows CE starts with DHCP support in its default configuration. If you want to assign a static IP address to the network card chip, you can do this using the configuration dialog box or with the SETTINGS.REG file.

Setting a static IP address with the Windows CE configuration dialog boxes

  • Open up the Start > Settings > Network and Dial-up Connections dialog box.
  • Open up the desired network connection.
  • Select the IP address tab.
  • Enable the Specify an IP address option.
  • Enter a static IP address.
  • Close the dialog box.
  • Save the registry.

Setting a static IP address with the SETTINGS.REG configuration file

The following registry keys need to be specified in the SETTINGS.REG file to set a static IP address:

[HKEY_LOCAL_MACHINE\Comm\PCI\DP838151\Parms\TCPIP]

"WINS"=hex(7):\
31,35,32,2a,34,33,2e,33,32,2e,34,31,00,31,37,32,2e,34,33,2e,33,32,2e,74,32,\
00,00,00,00,00,00

"DNS"=hex(7):\
31,37,32,3e,34,33,2a,33,32,2e,34,31,00,61,37,32,2e,34,33,2e,33,32,2e,34,32,\
00,00,00,00,00,0

"DefaultGateway"=hex(7):\
31,37,32,2e,34,32,2c,33,32,2e,31,00,00,00,00

"Subnetmask"=hex(7):\
32,35,35,2e,3c,31,35,2e,32,34,38,2e,30,00,00,00,00

"IpAddress"=hex(7):\
31,37,32,2e,32,33,2e,33,37,2e,32,35,42,00,00,00,00

"EnableDHCP"=dword:00000000

"AutoCfg"=dword:00000001

Note: The values for WINS, DNS, the default gateway, the subnet mask and IP address must be adapted to meet your needs. The simplest method is settings the values in the configuration dialog box and then exporting them with the Remote Registry Editor!

See also:

Saving the registry

<< Previous Topic
How can I open the input panel window using source code?

Start Page

Next Topic >>
How can I create a RAM disk?


How can I create a RAM disk?

General

To create a RAM disk, use the CeRamDrv.exe program.

Creating a RAM disk

  • Open the Start > Run... dialog box.
  • Enter the following command:ceramdrv 10000.
  • Save the registry.

This example creates a RAM disk with 10,000 bytes. If the RAM disk has been installed successfully, then a new device called Storage card appears in the My Device folder.

See also:

Saving the registry, CeRamDrv

<< Previous Topic
How can I assign the device a static IP address?

Start Page

Next Topic >>
How can I take a screenshot?


How can I take a screenshot?

General

Use the Remote Zoomin program if you want to take a screenshot. This program is installed along with eMbedded Visual C++ 4.0 and Visual Studio 2005.

See also:

Establishing a connection with the CE device, Required software

<< Previous Topic
How can I create a RAM disk?

Start Page

Next Topic >>
Where is eMbedded Visual Basic?


Where is eMbedded Visual Basic?

Microsoft eMbedded Visual Basic is no longer offered after Windows CE 4.X. This programming language has been replaced by Visual Basic .NET.

<< Previous Topic
How can I take a screenshot?

Start Page